#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 632
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 132
#define ALIAS_COUNT 1
#define TOKEN_COUNT 73
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 2

enum ts_symbol_identifiers {
  sym_comment = 1,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 2,
  aux_sym_block_comment_token1 = 3,
  aux_sym_block_comment_token2 = 4,
  aux_sym_block_comment_token3 = 5,
  anon_sym_COLON = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COLON2 = 9,
  anon_sym_COMMA = 10,
  aux_sym_argument_name_token1 = 11,
  sym_argument_type = 12,
  aux_sym_connection_token1 = 13,
  aux_sym_connection_token2 = 14,
  aux_sym_connection_token3 = 15,
  aux_sym_connection_token4 = 16,
  sym_import = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  anon_sym_PIPE = 20,
  aux_sym__label_codeblock_single_token1 = 21,
  aux_sym__label_codeblock_single_token2 = 22,
  anon_sym_PIPE_PIPE = 23,
  anon_sym_PIPE_PIPE_PIPE = 24,
  anon_sym_PIPE_BQUOTE = 25,
  aux_sym__label_codeblock_ticks_token1 = 26,
  anon_sym_BQUOTE_PIPE = 27,
  aux_sym__label_codeblock_fallback_token1 = 28,
  aux_sym__label_codeblock_fallback_token2 = 29,
  aux_sym_codeblock_content_token1 = 30,
  anon_sym_LBRACK = 31,
  anon_sym_SEMI = 32,
  anon_sym_RBRACK = 33,
  aux_sym_label_constraint_token1 = 34,
  aux_sym_label_constraint_token2 = 35,
  sym_integer = 36,
  sym_float = 37,
  anon_sym_true = 38,
  anon_sym_false = 39,
  aux_sym__label_token_token1 = 40,
  anon_sym_DQUOTE = 41,
  aux_sym__label_double_quoted_token1 = 42,
  anon_sym_DOT = 43,
  anon_sym_LBRACK2 = 44,
  aux_sym_connection_identifier_token1 = 45,
  anon_sym_RBRACK2 = 46,
  aux_sym__ident_base_token1 = 47,
  sym_glob = 48,
  sym_recursive_glob = 49,
  sym_global_glob = 50,
  sym_glob_filter = 51,
  sym_inverse_glob_filter = 52,
  anon_sym_DASH = 53,
  anon_sym_PLUS = 54,
  anon_sym_BSLASH_POUND = 55,
  anon_sym_DOLLAR = 56,
  anon_sym_LBRACE2 = 57,
  anon_sym_RBRACE2 = 58,
  anon_sym_DOT_DOT_DOT_DOLLAR = 59,
  anon_sym_SQUOTE = 60,
  aux_sym__single_quoted_token1 = 61,
  anon_sym_DQUOTE2 = 62,
  aux_sym__double_quoted_token1 = 63,
  anon_sym_BSLASH = 64,
  aux_sym_escape_token1 = 65,
  aux_sym_escape_token2 = 66,
  aux_sym_escape_token3 = 67,
  aux_sym_escape_token4 = 68,
  aux_sym_escape_token5 = 69,
  aux_sym__eol_token1 = 70,
  anon_sym_SEMI2 = 71,
  anon_sym_NULL = 72,
  sym_source_file = 73,
  sym__declaration = 74,
  sym_block_comment = 75,
  sym_declaration = 76,
  sym__expr = 77,
  sym__colon_block = 78,
  sym_method_declaration = 79,
  sym_arguments = 80,
  sym_returns = 81,
  sym_argument_name = 82,
  sym_connection = 83,
  sym_block = 84,
  sym_label = 85,
  sym_label_codeblock = 86,
  sym__label_codeblock_single = 87,
  sym__label_codeblock_double = 88,
  sym__label_codeblock_triple = 89,
  sym__label_codeblock_ticks = 90,
  sym__label_codeblock_fallback = 91,
  sym_codeblock_language = 92,
  sym_codeblock_content = 93,
  sym__label_constraints = 94,
  sym_label_constraint = 95,
  sym__label_literal = 96,
  sym_boolean = 97,
  aux_sym__label_token = 98,
  sym__label_double_quoted = 99,
  sym__identifier = 100,
  sym_identifier_chain = 101,
  sym__single_top_level_identifier = 102,
  sym_connection_reference = 103,
  sym_connection_identifier = 104,
  sym_identifier = 105,
  aux_sym__ident_base = 106,
  sym__filters = 107,
  sym_visibility_mark = 108,
  sym__variable = 109,
  sym_variable = 110,
  sym_spread_variable = 111,
  sym__single_quoted = 112,
  sym__double_quoted = 113,
  sym_escape = 114,
  sym__eol = 115,
  aux_sym_source_file_repeat1 = 116,
  aux_sym_block_comment_repeat1 = 117,
  aux_sym__expr_repeat1 = 118,
  aux_sym_arguments_repeat1 = 119,
  aux_sym_arguments_repeat2 = 120,
  aux_sym_block_repeat1 = 121,
  aux_sym_codeblock_content_repeat1 = 122,
  aux_sym__label_constraints_repeat1 = 123,
  aux_sym_label_constraint_repeat1 = 124,
  aux_sym_label_constraint_repeat2 = 125,
  aux_sym__label_literal_repeat1 = 126,
  aux_sym__label_double_quoted_repeat1 = 127,
  aux_sym_identifier_chain_repeat1 = 128,
  aux_sym_identifier_repeat1 = 129,
  aux_sym__single_quoted_repeat1 = 130,
  aux_sym__double_quoted_repeat1 = 131,
  anon_alias_sym_returns = 132,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_comment] = "comment",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [aux_sym_block_comment_token2] = "block_comment_token2",
  [aux_sym_block_comment_token3] = "block_comment_token3",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON2] = ":",
  [anon_sym_COMMA] = ",",
  [aux_sym_argument_name_token1] = "argument_name_token1",
  [sym_argument_type] = "argument_type",
  [aux_sym_connection_token1] = "connection_token1",
  [aux_sym_connection_token2] = "connection_token2",
  [aux_sym_connection_token3] = "connection_token3",
  [aux_sym_connection_token4] = "connection_token4",
  [sym_import] = "import",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE] = "|",
  [aux_sym__label_codeblock_single_token1] = "_label_codeblock_single_token1",
  [aux_sym__label_codeblock_single_token2] = "codeblock_content",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PIPE_PIPE_PIPE] = "|||",
  [anon_sym_PIPE_BQUOTE] = "|`",
  [aux_sym__label_codeblock_ticks_token1] = "codeblock_content",
  [anon_sym_BQUOTE_PIPE] = "`|",
  [aux_sym__label_codeblock_fallback_token1] = "_label_codeblock_fallback_token1",
  [aux_sym__label_codeblock_fallback_token2] = "_label_codeblock_fallback_token2",
  [aux_sym_codeblock_content_token1] = "codeblock_content_token1",
  [anon_sym_LBRACK] = "[",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACK] = "]",
  [aux_sym_label_constraint_token1] = "label_constraint_token1",
  [aux_sym_label_constraint_token2] = "label_constraint_token2",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [aux_sym__label_token_token1] = "_label_token_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__label_double_quoted_token1] = "_label_double_quoted_token1",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK2] = "[",
  [aux_sym_connection_identifier_token1] = "connection_identifier_token1",
  [anon_sym_RBRACK2] = "]",
  [aux_sym__ident_base_token1] = "_ident_base_token1",
  [sym_glob] = "glob",
  [sym_recursive_glob] = "recursive_glob",
  [sym_global_glob] = "global_glob",
  [sym_glob_filter] = "glob_filter",
  [sym_inverse_glob_filter] = "inverse_glob_filter",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_BSLASH_POUND] = "\\#",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_RBRACE2] = "}",
  [anon_sym_DOT_DOT_DOT_DOLLAR] = "...$",
  [anon_sym_SQUOTE] = "'",
  [aux_sym__single_quoted_token1] = "_single_quoted_token1",
  [anon_sym_DQUOTE2] = "\"",
  [aux_sym__double_quoted_token1] = "_double_quoted_token1",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_escape_token1] = "escape_token1",
  [aux_sym_escape_token2] = "escape_token2",
  [aux_sym_escape_token3] = "escape_token3",
  [aux_sym_escape_token4] = "escape_token4",
  [aux_sym_escape_token5] = "escape_token5",
  [aux_sym__eol_token1] = "_eol_token1",
  [anon_sym_SEMI2] = ";",
  [anon_sym_NULL] = "\0",
  [sym_source_file] = "source_file",
  [sym__declaration] = "_declaration",
  [sym_block_comment] = "block_comment",
  [sym_declaration] = "declaration",
  [sym__expr] = "_expr",
  [sym__colon_block] = "_colon_block",
  [sym_method_declaration] = "method_declaration",
  [sym_arguments] = "arguments",
  [sym_returns] = "returns",
  [sym_argument_name] = "argument_name",
  [sym_connection] = "connection",
  [sym_block] = "block",
  [sym_label] = "label",
  [sym_label_codeblock] = "label_codeblock",
  [sym__label_codeblock_single] = "_label_codeblock_single",
  [sym__label_codeblock_double] = "_label_codeblock_double",
  [sym__label_codeblock_triple] = "_label_codeblock_triple",
  [sym__label_codeblock_ticks] = "_label_codeblock_ticks",
  [sym__label_codeblock_fallback] = "_label_codeblock_fallback",
  [sym_codeblock_language] = "codeblock_language",
  [sym_codeblock_content] = "codeblock_content",
  [sym__label_constraints] = "_label_constraints",
  [sym_label_constraint] = "label_constraint",
  [sym__label_literal] = "_label_literal",
  [sym_boolean] = "boolean",
  [aux_sym__label_token] = "_label_token",
  [sym__label_double_quoted] = "_label_double_quoted",
  [sym__identifier] = "_identifier",
  [sym_identifier_chain] = "identifier_chain",
  [sym__single_top_level_identifier] = "_single_top_level_identifier",
  [sym_connection_reference] = "connection_reference",
  [sym_connection_identifier] = "connection_identifier",
  [sym_identifier] = "identifier",
  [aux_sym__ident_base] = "_ident_base",
  [sym__filters] = "_filters",
  [sym_visibility_mark] = "visibility_mark",
  [sym__variable] = "_variable",
  [sym_variable] = "variable",
  [sym_spread_variable] = "spread_variable",
  [sym__single_quoted] = "_single_quoted",
  [sym__double_quoted] = "_double_quoted",
  [sym_escape] = "escape",
  [sym__eol] = "_eol",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_block_comment_repeat1] = "block_comment_repeat1",
  [aux_sym__expr_repeat1] = "_expr_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_arguments_repeat2] = "arguments_repeat2",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_codeblock_content_repeat1] = "codeblock_content_repeat1",
  [aux_sym__label_constraints_repeat1] = "_label_constraints_repeat1",
  [aux_sym_label_constraint_repeat1] = "label_constraint_repeat1",
  [aux_sym_label_constraint_repeat2] = "label_constraint_repeat2",
  [aux_sym__label_literal_repeat1] = "_label_literal_repeat1",
  [aux_sym__label_double_quoted_repeat1] = "_label_double_quoted_repeat1",
  [aux_sym_identifier_chain_repeat1] = "identifier_chain_repeat1",
  [aux_sym_identifier_repeat1] = "identifier_repeat1",
  [aux_sym__single_quoted_repeat1] = "_single_quoted_repeat1",
  [aux_sym__double_quoted_repeat1] = "_double_quoted_repeat1",
  [anon_alias_sym_returns] = "returns",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_comment] = sym_comment,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [aux_sym_block_comment_token2] = aux_sym_block_comment_token2,
  [aux_sym_block_comment_token3] = aux_sym_block_comment_token3,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_argument_name_token1] = aux_sym_argument_name_token1,
  [sym_argument_type] = sym_argument_type,
  [aux_sym_connection_token1] = aux_sym_connection_token1,
  [aux_sym_connection_token2] = aux_sym_connection_token2,
  [aux_sym_connection_token3] = aux_sym_connection_token3,
  [aux_sym_connection_token4] = aux_sym_connection_token4,
  [sym_import] = sym_import,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [aux_sym__label_codeblock_single_token1] = aux_sym__label_codeblock_single_token1,
  [aux_sym__label_codeblock_single_token2] = sym_codeblock_content,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PIPE_PIPE_PIPE] = anon_sym_PIPE_PIPE_PIPE,
  [anon_sym_PIPE_BQUOTE] = anon_sym_PIPE_BQUOTE,
  [aux_sym__label_codeblock_ticks_token1] = sym_codeblock_content,
  [anon_sym_BQUOTE_PIPE] = anon_sym_BQUOTE_PIPE,
  [aux_sym__label_codeblock_fallback_token1] = aux_sym__label_codeblock_fallback_token1,
  [aux_sym__label_codeblock_fallback_token2] = aux_sym__label_codeblock_fallback_token2,
  [aux_sym_codeblock_content_token1] = aux_sym_codeblock_content_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_label_constraint_token1] = aux_sym_label_constraint_token1,
  [aux_sym_label_constraint_token2] = aux_sym_label_constraint_token2,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [aux_sym__label_token_token1] = aux_sym__label_token_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__label_double_quoted_token1] = aux_sym__label_double_quoted_token1,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [aux_sym_connection_identifier_token1] = aux_sym_connection_identifier_token1,
  [anon_sym_RBRACK2] = anon_sym_RBRACK,
  [aux_sym__ident_base_token1] = aux_sym__ident_base_token1,
  [sym_glob] = sym_glob,
  [sym_recursive_glob] = sym_recursive_glob,
  [sym_global_glob] = sym_global_glob,
  [sym_glob_filter] = sym_glob_filter,
  [sym_inverse_glob_filter] = sym_inverse_glob_filter,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BSLASH_POUND] = anon_sym_BSLASH_POUND,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_RBRACE2] = anon_sym_RBRACE,
  [anon_sym_DOT_DOT_DOT_DOLLAR] = anon_sym_DOT_DOT_DOT_DOLLAR,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym__single_quoted_token1] = aux_sym__single_quoted_token1,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [aux_sym__double_quoted_token1] = aux_sym__double_quoted_token1,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_escape_token1] = aux_sym_escape_token1,
  [aux_sym_escape_token2] = aux_sym_escape_token2,
  [aux_sym_escape_token3] = aux_sym_escape_token3,
  [aux_sym_escape_token4] = aux_sym_escape_token4,
  [aux_sym_escape_token5] = aux_sym_escape_token5,
  [aux_sym__eol_token1] = aux_sym__eol_token1,
  [anon_sym_SEMI2] = anon_sym_SEMI,
  [anon_sym_NULL] = anon_sym_NULL,
  [sym_source_file] = sym_source_file,
  [sym__declaration] = sym__declaration,
  [sym_block_comment] = sym_block_comment,
  [sym_declaration] = sym_declaration,
  [sym__expr] = sym__expr,
  [sym__colon_block] = sym__colon_block,
  [sym_method_declaration] = sym_method_declaration,
  [sym_arguments] = sym_arguments,
  [sym_returns] = sym_returns,
  [sym_argument_name] = sym_argument_name,
  [sym_connection] = sym_connection,
  [sym_block] = sym_block,
  [sym_label] = sym_label,
  [sym_label_codeblock] = sym_label_codeblock,
  [sym__label_codeblock_single] = sym__label_codeblock_single,
  [sym__label_codeblock_double] = sym__label_codeblock_double,
  [sym__label_codeblock_triple] = sym__label_codeblock_triple,
  [sym__label_codeblock_ticks] = sym__label_codeblock_ticks,
  [sym__label_codeblock_fallback] = sym__label_codeblock_fallback,
  [sym_codeblock_language] = sym_codeblock_language,
  [sym_codeblock_content] = sym_codeblock_content,
  [sym__label_constraints] = sym__label_constraints,
  [sym_label_constraint] = sym_label_constraint,
  [sym__label_literal] = sym__label_literal,
  [sym_boolean] = sym_boolean,
  [aux_sym__label_token] = aux_sym__label_token,
  [sym__label_double_quoted] = sym__label_double_quoted,
  [sym__identifier] = sym__identifier,
  [sym_identifier_chain] = sym_identifier_chain,
  [sym__single_top_level_identifier] = sym__single_top_level_identifier,
  [sym_connection_reference] = sym_connection_reference,
  [sym_connection_identifier] = sym_connection_identifier,
  [sym_identifier] = sym_identifier,
  [aux_sym__ident_base] = aux_sym__ident_base,
  [sym__filters] = sym__filters,
  [sym_visibility_mark] = sym_visibility_mark,
  [sym__variable] = sym__variable,
  [sym_variable] = sym_variable,
  [sym_spread_variable] = sym_spread_variable,
  [sym__single_quoted] = sym__single_quoted,
  [sym__double_quoted] = sym__double_quoted,
  [sym_escape] = sym_escape,
  [sym__eol] = sym__eol,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_block_comment_repeat1] = aux_sym_block_comment_repeat1,
  [aux_sym__expr_repeat1] = aux_sym__expr_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_arguments_repeat2] = aux_sym_arguments_repeat2,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_codeblock_content_repeat1] = aux_sym_codeblock_content_repeat1,
  [aux_sym__label_constraints_repeat1] = aux_sym__label_constraints_repeat1,
  [aux_sym_label_constraint_repeat1] = aux_sym_label_constraint_repeat1,
  [aux_sym_label_constraint_repeat2] = aux_sym_label_constraint_repeat2,
  [aux_sym__label_literal_repeat1] = aux_sym__label_literal_repeat1,
  [aux_sym__label_double_quoted_repeat1] = aux_sym__label_double_quoted_repeat1,
  [aux_sym_identifier_chain_repeat1] = aux_sym_identifier_chain_repeat1,
  [aux_sym_identifier_repeat1] = aux_sym_identifier_repeat1,
  [aux_sym__single_quoted_repeat1] = aux_sym__single_quoted_repeat1,
  [aux_sym__double_quoted_repeat1] = aux_sym__double_quoted_repeat1,
  [anon_alias_sym_returns] = anon_alias_sym_returns,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_argument_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_connection_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_connection_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_connection_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_connection_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__label_codeblock_single_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__label_codeblock_single_token2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__label_codeblock_ticks_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__label_codeblock_fallback_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__label_codeblock_fallback_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_codeblock_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_label_constraint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_label_constraint_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__label_token_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__label_double_quoted_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_connection_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_RBRACK2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__ident_base_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_recursive_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_global_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_filter] = {
    .visible = true,
    .named = true,
  },
  [sym_inverse_glob_filter] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__single_quoted_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__double_quoted_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__eol_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym__colon_block] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_returns] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_name] = {
    .visible = true,
    .named = true,
  },
  [sym_connection] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_label_codeblock] = {
    .visible = true,
    .named = true,
  },
  [sym__label_codeblock_single] = {
    .visible = false,
    .named = true,
  },
  [sym__label_codeblock_double] = {
    .visible = false,
    .named = true,
  },
  [sym__label_codeblock_triple] = {
    .visible = false,
    .named = true,
  },
  [sym__label_codeblock_ticks] = {
    .visible = false,
    .named = true,
  },
  [sym__label_codeblock_fallback] = {
    .visible = false,
    .named = true,
  },
  [sym_codeblock_language] = {
    .visible = true,
    .named = true,
  },
  [sym_codeblock_content] = {
    .visible = true,
    .named = true,
  },
  [sym__label_constraints] = {
    .visible = false,
    .named = true,
  },
  [sym_label_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__label_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__label_token] = {
    .visible = false,
    .named = false,
  },
  [sym__label_double_quoted] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier_chain] = {
    .visible = true,
    .named = true,
  },
  [sym__single_top_level_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_connection_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_connection_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__ident_base] = {
    .visible = false,
    .named = false,
  },
  [sym__filters] = {
    .visible = false,
    .named = true,
  },
  [sym_visibility_mark] = {
    .visible = true,
    .named = true,
  },
  [sym__variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quoted] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quoted] = {
    .visible = false,
    .named = true,
  },
  [sym_escape] = {
    .visible = true,
    .named = true,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_codeblock_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__label_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_label_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_label_constraint_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__label_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__label_double_quoted_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_chain_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quoted_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_returns] = {
    .visible = true,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_returns,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_arguments, 2,
    sym_arguments,
    anon_alias_sym_returns,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 6,
  [8] = 4,
  [9] = 6,
  [10] = 4,
  [11] = 11,
  [12] = 11,
  [13] = 11,
  [14] = 14,
  [15] = 14,
  [16] = 14,
  [17] = 14,
  [18] = 14,
  [19] = 19,
  [20] = 20,
  [21] = 20,
  [22] = 22,
  [23] = 22,
  [24] = 22,
  [25] = 19,
  [26] = 22,
  [27] = 19,
  [28] = 20,
  [29] = 19,
  [30] = 20,
  [31] = 19,
  [32] = 20,
  [33] = 19,
  [34] = 20,
  [35] = 19,
  [36] = 20,
  [37] = 19,
  [38] = 20,
  [39] = 19,
  [40] = 20,
  [41] = 41,
  [42] = 41,
  [43] = 41,
  [44] = 41,
  [45] = 41,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 47,
  [51] = 51,
  [52] = 49,
  [53] = 53,
  [54] = 51,
  [55] = 53,
  [56] = 47,
  [57] = 49,
  [58] = 51,
  [59] = 53,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 63,
  [65] = 60,
  [66] = 66,
  [67] = 62,
  [68] = 66,
  [69] = 61,
  [70] = 60,
  [71] = 63,
  [72] = 61,
  [73] = 62,
  [74] = 66,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 77,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 80,
  [83] = 83,
  [84] = 84,
  [85] = 84,
  [86] = 76,
  [87] = 75,
  [88] = 88,
  [89] = 79,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 81,
  [94] = 94,
  [95] = 95,
  [96] = 88,
  [97] = 94,
  [98] = 91,
  [99] = 95,
  [100] = 90,
  [101] = 92,
  [102] = 102,
  [103] = 92,
  [104] = 81,
  [105] = 105,
  [106] = 94,
  [107] = 84,
  [108] = 95,
  [109] = 76,
  [110] = 110,
  [111] = 75,
  [112] = 105,
  [113] = 79,
  [114] = 62,
  [115] = 88,
  [116] = 110,
  [117] = 80,
  [118] = 118,
  [119] = 119,
  [120] = 62,
  [121] = 102,
  [122] = 90,
  [123] = 51,
  [124] = 49,
  [125] = 47,
  [126] = 53,
  [127] = 118,
  [128] = 119,
  [129] = 91,
  [130] = 77,
  [131] = 119,
  [132] = 132,
  [133] = 118,
  [134] = 132,
  [135] = 62,
  [136] = 102,
  [137] = 105,
  [138] = 110,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 139,
  [144] = 144,
  [145] = 145,
  [146] = 63,
  [147] = 141,
  [148] = 141,
  [149] = 139,
  [150] = 150,
  [151] = 62,
  [152] = 150,
  [153] = 132,
  [154] = 154,
  [155] = 155,
  [156] = 150,
  [157] = 144,
  [158] = 150,
  [159] = 66,
  [160] = 144,
  [161] = 150,
  [162] = 162,
  [163] = 162,
  [164] = 164,
  [165] = 162,
  [166] = 166,
  [167] = 53,
  [168] = 166,
  [169] = 169,
  [170] = 49,
  [171] = 51,
  [172] = 169,
  [173] = 47,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 166,
  [181] = 77,
  [182] = 84,
  [183] = 183,
  [184] = 79,
  [185] = 88,
  [186] = 169,
  [187] = 80,
  [188] = 81,
  [189] = 189,
  [190] = 183,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 189,
  [195] = 191,
  [196] = 192,
  [197] = 193,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 202,
  [212] = 175,
  [213] = 176,
  [214] = 177,
  [215] = 178,
  [216] = 179,
  [217] = 94,
  [218] = 95,
  [219] = 198,
  [220] = 174,
  [221] = 199,
  [222] = 200,
  [223] = 201,
  [224] = 94,
  [225] = 95,
  [226] = 226,
  [227] = 203,
  [228] = 204,
  [229] = 205,
  [230] = 206,
  [231] = 207,
  [232] = 208,
  [233] = 209,
  [234] = 210,
  [235] = 226,
  [236] = 236,
  [237] = 202,
  [238] = 175,
  [239] = 176,
  [240] = 177,
  [241] = 178,
  [242] = 179,
  [243] = 243,
  [244] = 63,
  [245] = 94,
  [246] = 75,
  [247] = 247,
  [248] = 243,
  [249] = 247,
  [250] = 250,
  [251] = 251,
  [252] = 251,
  [253] = 253,
  [254] = 243,
  [255] = 255,
  [256] = 256,
  [257] = 183,
  [258] = 258,
  [259] = 118,
  [260] = 260,
  [261] = 91,
  [262] = 250,
  [263] = 95,
  [264] = 92,
  [265] = 189,
  [266] = 266,
  [267] = 191,
  [268] = 192,
  [269] = 110,
  [270] = 270,
  [271] = 236,
  [272] = 193,
  [273] = 105,
  [274] = 76,
  [275] = 270,
  [276] = 210,
  [277] = 119,
  [278] = 256,
  [279] = 243,
  [280] = 280,
  [281] = 198,
  [282] = 250,
  [283] = 283,
  [284] = 284,
  [285] = 118,
  [286] = 119,
  [287] = 280,
  [288] = 258,
  [289] = 250,
  [290] = 243,
  [291] = 62,
  [292] = 260,
  [293] = 250,
  [294] = 174,
  [295] = 199,
  [296] = 94,
  [297] = 95,
  [298] = 200,
  [299] = 201,
  [300] = 226,
  [301] = 203,
  [302] = 302,
  [303] = 204,
  [304] = 304,
  [305] = 283,
  [306] = 205,
  [307] = 266,
  [308] = 102,
  [309] = 206,
  [310] = 207,
  [311] = 208,
  [312] = 209,
  [313] = 253,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 247,
  [318] = 318,
  [319] = 256,
  [320] = 320,
  [321] = 280,
  [322] = 260,
  [323] = 118,
  [324] = 119,
  [325] = 236,
  [326] = 118,
  [327] = 119,
  [328] = 328,
  [329] = 251,
  [330] = 118,
  [331] = 119,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 62,
  [336] = 336,
  [337] = 62,
  [338] = 316,
  [339] = 328,
  [340] = 336,
  [341] = 341,
  [342] = 314,
  [343] = 333,
  [344] = 344,
  [345] = 118,
  [346] = 119,
  [347] = 332,
  [348] = 258,
  [349] = 320,
  [350] = 350,
  [351] = 351,
  [352] = 132,
  [353] = 316,
  [354] = 328,
  [355] = 336,
  [356] = 341,
  [357] = 314,
  [358] = 333,
  [359] = 344,
  [360] = 344,
  [361] = 361,
  [362] = 253,
  [363] = 350,
  [364] = 320,
  [365] = 350,
  [366] = 351,
  [367] = 316,
  [368] = 328,
  [369] = 336,
  [370] = 341,
  [371] = 314,
  [372] = 333,
  [373] = 344,
  [374] = 316,
  [375] = 328,
  [376] = 336,
  [377] = 341,
  [378] = 314,
  [379] = 333,
  [380] = 344,
  [381] = 316,
  [382] = 328,
  [383] = 341,
  [384] = 351,
  [385] = 333,
  [386] = 328,
  [387] = 341,
  [388] = 333,
  [389] = 328,
  [390] = 341,
  [391] = 333,
  [392] = 341,
  [393] = 341,
  [394] = 341,
  [395] = 341,
  [396] = 396,
  [397] = 341,
  [398] = 266,
  [399] = 399,
  [400] = 270,
  [401] = 314,
  [402] = 283,
  [403] = 332,
  [404] = 404,
  [405] = 283,
  [406] = 406,
  [407] = 407,
  [408] = 404,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 406,
  [415] = 407,
  [416] = 409,
  [417] = 410,
  [418] = 404,
  [419] = 411,
  [420] = 409,
  [421] = 410,
  [422] = 411,
  [423] = 413,
  [424] = 406,
  [425] = 407,
  [426] = 426,
  [427] = 427,
  [428] = 427,
  [429] = 283,
  [430] = 430,
  [431] = 280,
  [432] = 413,
  [433] = 280,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 436,
  [438] = 438,
  [439] = 438,
  [440] = 62,
  [441] = 438,
  [442] = 442,
  [443] = 427,
  [444] = 84,
  [445] = 445,
  [446] = 446,
  [447] = 280,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 81,
  [452] = 283,
  [453] = 453,
  [454] = 62,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 88,
  [459] = 436,
  [460] = 434,
  [461] = 450,
  [462] = 450,
  [463] = 463,
  [464] = 434,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 470,
  [472] = 470,
  [473] = 105,
  [474] = 474,
  [475] = 468,
  [476] = 474,
  [477] = 477,
  [478] = 478,
  [479] = 474,
  [480] = 480,
  [481] = 480,
  [482] = 95,
  [483] = 483,
  [484] = 468,
  [485] = 92,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 470,
  [490] = 490,
  [491] = 491,
  [492] = 470,
  [493] = 76,
  [494] = 477,
  [495] = 495,
  [496] = 496,
  [497] = 94,
  [498] = 91,
  [499] = 477,
  [500] = 75,
  [501] = 501,
  [502] = 502,
  [503] = 466,
  [504] = 486,
  [505] = 496,
  [506] = 506,
  [507] = 487,
  [508] = 480,
  [509] = 488,
  [510] = 466,
  [511] = 486,
  [512] = 496,
  [513] = 506,
  [514] = 487,
  [515] = 488,
  [516] = 102,
  [517] = 506,
  [518] = 488,
  [519] = 488,
  [520] = 110,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 521,
  [525] = 525,
  [526] = 526,
  [527] = 525,
  [528] = 528,
  [529] = 522,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 523,
  [535] = 521,
  [536] = 525,
  [537] = 525,
  [538] = 538,
  [539] = 539,
  [540] = 525,
  [541] = 538,
  [542] = 523,
  [543] = 521,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 523,
  [548] = 521,
  [549] = 521,
  [550] = 550,
  [551] = 544,
  [552] = 523,
  [553] = 538,
  [554] = 523,
  [555] = 521,
  [556] = 546,
  [557] = 523,
  [558] = 558,
  [559] = 526,
  [560] = 558,
  [561] = 521,
  [562] = 562,
  [563] = 523,
  [564] = 558,
  [565] = 532,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 528,
  [570] = 539,
  [571] = 526,
  [572] = 562,
  [573] = 532,
  [574] = 574,
  [575] = 575,
  [576] = 545,
  [577] = 539,
  [578] = 523,
  [579] = 528,
  [580] = 533,
  [581] = 526,
  [582] = 582,
  [583] = 521,
  [584] = 562,
  [585] = 526,
  [586] = 544,
  [587] = 566,
  [588] = 588,
  [589] = 566,
  [590] = 567,
  [591] = 567,
  [592] = 568,
  [593] = 568,
  [594] = 574,
  [595] = 574,
  [596] = 575,
  [597] = 588,
  [598] = 522,
  [599] = 546,
  [600] = 588,
  [601] = 522,
  [602] = 575,
  [603] = 588,
  [604] = 522,
  [605] = 545,
  [606] = 588,
  [607] = 522,
  [608] = 588,
  [609] = 522,
  [610] = 588,
  [611] = 522,
  [612] = 588,
  [613] = 522,
  [614] = 588,
  [615] = 533,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 618,
  [620] = 620,
  [621] = 621,
  [622] = 617,
  [623] = 623,
  [624] = 620,
  [625] = 621,
  [626] = 617,
  [627] = 623,
  [628] = 620,
  [629] = 623,
  [630] = 621,
  [631] = 618,
};

static TSCharacterRange aux_sym__ident_base_token1_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'"', '%'}, {'\'', '\''}, {'*', '-'}, {'/', '9'}, {'<', '['}, {']', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        0, 245,
        '!', 33,
        '"', 230,
        '#', 213,
        '$', 223,
        '&', 218,
        '\'', 227,
        '(', 91,
        ')', 92,
        '*', 215,
        '+', 221,
        ',', 209,
        '-', 220,
        '.', 205,
        ':', 93,
        ';', 244,
        '<', 211,
        '@', 209,
        'U', 209,
        '[', 209,
        '\\', 235,
        ']', 209,
        '`', 209,
        'f', 209,
        't', 209,
        'u', 209,
        'x', 209,
        '{', 103,
        '|', 209,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(209);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 107,
        '"', 210,
        '#', 213,
        '(', 91,
        '*', 214,
        '-', 212,
        '.', 204,
        ':', 90,
        ';', 244,
        '<', 211,
        '\\', 234,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(107);
      if (lookahead != 0 &&
          (lookahead < ' ' || '#' < lookahead) &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != '{') ADVANCE(209);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 110,
        '"', 179,
        '#', 194,
        '$', 223,
        '.', 185,
        ';', 244,
        '\\', 234,
        '{', 103,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(110);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '"', 22,
        '#', 72,
        '(', 91,
        '-', 39,
        '.', 204,
        ':', 90,
        ';', 244,
        '<', 38,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(112);
      END_STATE();
    case 4:
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(118);
      END_STATE();
    case 5:
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      END_STATE();
    case 6:
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '{') ADVANCE(103);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      END_STATE();
    case 7:
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(120);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '"') ADVANCE(198);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(228);
      if (lookahead != 0) ADVANCE(229);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(233);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '|') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(123);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(163);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '|') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(125);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 14:
      if (lookahead == ' ') ADVANCE(126);
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '-') ADVANCE(212);
      if (lookahead == '.') ADVANCE(204);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(126);
      if (lookahead != 0 &&
          lookahead != ' ' &&
          lookahead != '!' &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          (lookahead < ':' || '<' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 15:
      if (lookahead == ' ') ADVANCE(127);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(127);
      if (lookahead != 0 &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 16:
      if (lookahead == ' ') ADVANCE(128);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '.') ADVANCE(204);
      if (lookahead == '\\') ADVANCE(234);
      if (lookahead == '}') ADVANCE(225);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(128);
      if (lookahead != 0 &&
          lookahead != ' ' &&
          lookahead != '!' &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{') ADVANCE(209);
      END_STATE();
    case 17:
      if (lookahead == ' ') ADVANCE(129);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == ';') ADVANCE(168);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(129);
      if (lookahead != 0) ADVANCE(173);
      END_STATE();
    case 18:
      if (lookahead == ' ') ADVANCE(130);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(130);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 33,
        '"', 230,
        '&', 218,
        '\'', 227,
        '(', 91,
        '*', 215,
        '+', 221,
        '-', 220,
        '\\', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(131);
      if (lookahead != 0 &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 33,
        '"', 231,
        '#', 213,
        '$', 223,
        '&', 218,
        '\'', 227,
        '(', 91,
        '*', 215,
        '+', 221,
        '-', 220,
        '.', 40,
        '@', 209,
        '\\', 235,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(134);
      if (lookahead != 0 &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{') ADVANCE(209);
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(230);
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(132);
      if (lookahead != 0 &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 22:
      if (lookahead == '"') ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '"') ADVANCE(85);
      END_STATE();
    case 24:
      if (lookahead == '"') ADVANCE(85);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '"', 198,
        '$', 223,
        '\'', 227,
        '.', 184,
        '@', 193,
        '[', 167,
        '\\', 234,
        'f', 186,
        't', 190,
        '{', 103,
        '|', 106,
        '+', 195,
        '-', 195,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(27);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(24);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 28:
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == ';') ADVANCE(168);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(137);
      if (lookahead != 0) ADVANCE(173);
      END_STATE();
    case 29:
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 30:
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 31:
      if (lookahead == '$') ADVANCE(226);
      END_STATE();
    case 32:
      if (lookahead == '$') ADVANCE(226);
      if (lookahead == '@') ADVANCE(71);
      END_STATE();
    case 33:
      if (lookahead == '&') ADVANCE(219);
      END_STATE();
    case 34:
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(204);
      if (lookahead == '<') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(143);
      END_STATE();
    case 35:
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(141);
      if ((!eof && set_contains(aux_sym__ident_base_token1_character_set_1, 10, lookahead))) ADVANCE(209);
      END_STATE();
    case 36:
      if (lookahead == '*') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    case 37:
      if (lookahead == ',') ADVANCE(94);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= '[') ||
          lookahead == ']' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == '-') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == '-') ADVANCE(100);
      if (lookahead == '>') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == '.') ADVANCE(41);
      END_STATE();
    case 41:
      if (lookahead == '.') ADVANCE(32);
      END_STATE();
    case 42:
      if (lookahead == '.') ADVANCE(31);
      END_STATE();
    case 43:
      if (lookahead == '.') ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(168);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(144);
      END_STATE();
    case 45:
      if (lookahead == 'U') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == 'x') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 46:
      if (lookahead == '`') ADVANCE(51);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(145);
      END_STATE();
    case 47:
      if (lookahead == '|') ADVANCE(48);
      END_STATE();
    case 48:
      if (lookahead == '|') ADVANCE(155);
      END_STATE();
    case 49:
      if (lookahead == '|') ADVANCE(162);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == '|') ADVANCE(153);
      END_STATE();
    case 51:
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 52:
      if (lookahead == '|') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(146);
      END_STATE();
    case 53:
      if (lookahead == '|') ADVANCE(50);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(147);
      END_STATE();
    case 54:
      if (lookahead == '|') ADVANCE(47);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      END_STATE();
    case 55:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 56:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(150);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(49);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(240);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(241);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(242);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(102);
      END_STATE();
    case 72:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 73:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 108,
        '"', 210,
        '#', 213,
        '(', 91,
        '*', 214,
        '-', 212,
        '.', 204,
        ':', 90,
        ';', 244,
        '<', 211,
        '\\', 234,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(108);
      if (lookahead != 0 &&
          (lookahead < ' ' || '#' < lookahead) &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 74:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 109,
        '"', 179,
        '#', 194,
        '$', 223,
        '.', 185,
        ';', 244,
        '\\', 234,
        '{', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(109);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 75:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '!', 33,
        '"', 231,
        '#', 213,
        '$', 223,
        '&', 218,
        '\'', 227,
        '(', 91,
        '*', 215,
        '+', 221,
        '-', 220,
        '.', 40,
        ';', 244,
        '@', 209,
        '\\', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(111);
      if (lookahead != 0 &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 76:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '"', 22,
        '#', 72,
        '(', 91,
        '-', 39,
        '.', 204,
        ':', 90,
        ';', 244,
        '<', 38,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(113);
      END_STATE();
    case 77:
      if (eof) ADVANCE(82);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(119);
      END_STATE();
    case 78:
      if (eof) ADVANCE(82);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(115);
      END_STATE();
    case 79:
      if (eof) ADVANCE(82);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '{') ADVANCE(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(117);
      END_STATE();
    case 80:
      if (eof) ADVANCE(82);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(121);
      END_STATE();
    case 81:
      if (eof) ADVANCE(82);
      ADVANCE_MAP(
        '(', 91,
        ')', 92,
        ',', 94,
        '.', 204,
        '[', 206,
        ']', 208,
        '{', 224,
        '}', 225,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == ';' ||
          lookahead == '\\' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(84);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead == '"') ADVANCE(27);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_block_comment_token2);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_block_comment_token3);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_argument_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_argument_type);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= '[') ||
          lookahead == ']' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_connection_token1);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_connection_token2);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '>') ADVANCE(97);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_connection_token3);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_connection_token4);
      if (lookahead == '-') ADVANCE(100);
      if (lookahead == '>') ADVANCE(99);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_import);
      if (lookahead == ';' ||
          lookahead == '\\' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(102);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_import);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '`') ADVANCE(157);
      if (lookahead == '|') ADVANCE(154);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(161);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 107,
        '"', 210,
        '#', 213,
        '*', 214,
        '-', 212,
        ':', 90,
        ';', 244,
        '<', 211,
        '\\', 234,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(107);
      if (lookahead != 0 &&
          (lookahead < ' ' || '#' < lookahead) &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '{') ADVANCE(209);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 108,
        '"', 210,
        '#', 213,
        '*', 214,
        '-', 212,
        ':', 90,
        ';', 244,
        '<', 211,
        '\\', 234,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(108);
      if (lookahead != 0 &&
          (lookahead < ' ' || '#' < lookahead) &&
          lookahead != '&' &&
          (lookahead < '(' || '*' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 109,
        '"', 179,
        '#', 194,
        '$', 223,
        '.', 185,
        ';', 244,
        '\\', 234,
        '{', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        ' ', 110,
        '"', 179,
        '#', 194,
        '$', 223,
        '.', 185,
        ';', 244,
        '\\', 234,
        '{', 103,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '"', 231,
        '#', 213,
        '$', 223,
        '\'', 227,
        '*', 215,
        '+', 221,
        '-', 220,
        '.', 40,
        ';', 244,
        '@', 209,
        '\\', 235,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(111);
      if (lookahead != 0 &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '"', 22,
        '#', 72,
        '-', 39,
        ':', 90,
        ';', 244,
        '<', 38,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '\n', 243,
        '"', 22,
        '#', 72,
        '-', 39,
        ':', 90,
        ';', 244,
        '<', 38,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '{') ADVANCE(103);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '{') ADVANCE(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == '"') ADVANCE(22);
      if (lookahead == '#') ADVANCE(72);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == ';') ADVANCE(244);
      if (lookahead == '}') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if ((!eof && lookahead == 00)) ADVANCE(245);
      if (lookahead == '\n') ADVANCE(243);
      if (lookahead == ';') ADVANCE(244);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        0, 245,
        '"', 230,
        '#', 213,
        '$', 223,
        '\'', 227,
        '*', 215,
        '+', 221,
        ',', 209,
        '-', 220,
        '.', 205,
        ':', 90,
        ';', 244,
        '<', 211,
        '@', 209,
        'U', 209,
        '[', 209,
        '\\', 235,
        ']', 209,
        '`', 209,
        'f', 209,
        't', 209,
        'u', 209,
        'x', 209,
        '{', 103,
        '|', 209,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(209);
      if (lookahead != 0 &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || '.' < lookahead)) ADVANCE(209);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '|') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '\n') ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(124);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(165);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '|') ADVANCE(166);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ' ') ADVANCE(126);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '-') ADVANCE(212);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(126);
      if ((!eof && set_contains(aux_sym__ident_base_token1_character_set_1, 10, lookahead))) ADVANCE(209);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ' ') ADVANCE(127);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ' ') ADVANCE(128);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(128);
      if ((!eof && set_contains(aux_sym__ident_base_token1_character_set_1, 10, lookahead))) ADVANCE(209);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ' ') ADVANCE(129);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ' ') ADVANCE(130);
      if (('\t' <= lookahead && lookahead <= '\r')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '"') ADVANCE(230);
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '*') ADVANCE(215);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == '-') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(131);
      if (lookahead != 0 &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != '-' &&
          lookahead != '.' &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '"') ADVANCE(230);
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(132);
      if (lookahead != 0 &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(209);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '"') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        '"', 231,
        '#', 213,
        '$', 223,
        '\'', 227,
        '*', 215,
        '+', 221,
        '-', 220,
        '.', 40,
        '@', 209,
        '\\', 235,
        '}', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(134);
      if (lookahead != 0 &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '&' || '+' < lookahead) &&
          lookahead != ':' &&
          lookahead != ';' &&
          lookahead != '{') ADVANCE(209);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      ADVANCE_MAP(
        '"', 198,
        '$', 223,
        '\'', 227,
        '.', 184,
        '@', 193,
        '[', 167,
        '\\', 234,
        '{', 103,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '"') ADVANCE(198);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(43);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '*') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(141);
      if ((!eof && set_contains(aux_sym__ident_base_token1_character_set_1, 10, lookahead))) ADVANCE(209);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '*') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '<') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == ']') ADVANCE(169);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '`') ADVANCE(51);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '|') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '|') ADVANCE(50);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (lookahead == '|') ADVANCE(47);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(150);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(49);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token2);
      if (lookahead == '|') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(146);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym__label_codeblock_single_token2);
      if (lookahead != 0 &&
          lookahead != '|') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '|') ADVANCE(156);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(161);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_PIPE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_PIPE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(161);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PIPE_BQUOTE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(161);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__label_codeblock_ticks_token1);
      if (lookahead == '`') ADVANCE(51);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(145);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__label_codeblock_ticks_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BQUOTE_PIPE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym__label_codeblock_fallback_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym__label_codeblock_fallback_token2);
      if (lookahead == '|') ADVANCE(162);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(49);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_codeblock_content_token1);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_codeblock_content_token1);
      if (lookahead == '|') ADVANCE(48);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_codeblock_content_token1);
      if (lookahead == '|') ADVANCE(162);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(49);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_codeblock_content_token1);
      if (lookahead == '|') ADVANCE(153);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_label_constraint_token1);
      if (lookahead == '$') ADVANCE(226);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_label_constraint_token1);
      if (lookahead == '.') ADVANCE(170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_label_constraint_token1);
      if (lookahead == '.') ADVANCE(171);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_label_constraint_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != ']') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '"') ADVANCE(85);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '"') ADVANCE(178);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '$') ADVANCE(226);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '$') ADVANCE(226);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '.') ADVANCE(180);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '.') ADVANCE(181);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '.') ADVANCE(182);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '.') ADVANCE(183);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'a') ADVANCE(189);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'e') ADVANCE(176);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'e') ADVANCE(177);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'l') ADVANCE(191);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'r') ADVANCE(192);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 's') ADVANCE(188);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == 'u') ADVANCE(187);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == ';' ||
          lookahead == '\\' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(102);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(101);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == ';' ||
          lookahead == '\\' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(84);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(83);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(174);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym__label_token_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != ';' &&
          lookahead != '\\' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym__label_double_quoted_token1);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '\\') ADVANCE(234);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym__label_double_quoted_token1);
      if (lookahead == '$') ADVANCE(226);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym__label_double_quoted_token1);
      if (lookahead == '.') ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym__label_double_quoted_token1);
      if (lookahead == '.') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym__label_double_quoted_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(41);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym_connection_identifier_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_RBRACK2);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym__ident_base_token1);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym__ident_base_token1);
      if (lookahead == '"') ADVANCE(23);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym__ident_base_token1);
      if (lookahead == '-') ADVANCE(98);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym__ident_base_token1);
      if (lookahead == '-') ADVANCE(100);
      if (lookahead == '>') ADVANCE(99);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(aux_sym__ident_base_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_glob);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_glob);
      if (lookahead == '*') ADVANCE(216);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_recursive_glob);
      if (lookahead == '*') ADVANCE(217);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_global_glob);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_glob_filter);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_inverse_glob_filter);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_BSLASH_POUND);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_RBRACE2);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT_DOLLAR);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(aux_sym__single_quoted_token1);
      if (lookahead == '\\') ADVANCE(234);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(228);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'') ADVANCE(229);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(aux_sym__single_quoted_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(229);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      if (lookahead == '"') ADVANCE(23);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym__double_quoted_token1);
      if (lookahead == '\\') ADVANCE(234);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"') ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym__double_quoted_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '#') ADVANCE(222);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(239);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_escape_token2);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_escape_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(238);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym_escape_token3);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_escape_token4);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym_escape_token5);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__eol_token1);
      if (lookahead == '\n') ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_SEMI2);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 75},
  [2] = {.lex_state = 75},
  [3] = {.lex_state = 75},
  [4] = {.lex_state = 20},
  [5] = {.lex_state = 20},
  [6] = {.lex_state = 20},
  [7] = {.lex_state = 20},
  [8] = {.lex_state = 20},
  [9] = {.lex_state = 20},
  [10] = {.lex_state = 20},
  [11] = {.lex_state = 25},
  [12] = {.lex_state = 25},
  [13] = {.lex_state = 25},
  [14] = {.lex_state = 19},
  [15] = {.lex_state = 19},
  [16] = {.lex_state = 19},
  [17] = {.lex_state = 19},
  [18] = {.lex_state = 19},
  [19] = {.lex_state = 19},
  [20] = {.lex_state = 19},
  [21] = {.lex_state = 19},
  [22] = {.lex_state = 19},
  [23] = {.lex_state = 19},
  [24] = {.lex_state = 19},
  [25] = {.lex_state = 19},
  [26] = {.lex_state = 19},
  [27] = {.lex_state = 19},
  [28] = {.lex_state = 19},
  [29] = {.lex_state = 19},
  [30] = {.lex_state = 19},
  [31] = {.lex_state = 19},
  [32] = {.lex_state = 19},
  [33] = {.lex_state = 19},
  [34] = {.lex_state = 19},
  [35] = {.lex_state = 19},
  [36] = {.lex_state = 19},
  [37] = {.lex_state = 19},
  [38] = {.lex_state = 19},
  [39] = {.lex_state = 19},
  [40] = {.lex_state = 19},
  [41] = {.lex_state = 19},
  [42] = {.lex_state = 19},
  [43] = {.lex_state = 19},
  [44] = {.lex_state = 19},
  [45] = {.lex_state = 19},
  [46] = {.lex_state = 75},
  [47] = {.lex_state = 1},
  [48] = {.lex_state = 20},
  [49] = {.lex_state = 73},
  [50] = {.lex_state = 73},
  [51] = {.lex_state = 73},
  [52] = {.lex_state = 1},
  [53] = {.lex_state = 73},
  [54] = {.lex_state = 1},
  [55] = {.lex_state = 1},
  [56] = {.lex_state = 73},
  [57] = {.lex_state = 73},
  [58] = {.lex_state = 73},
  [59] = {.lex_state = 73},
  [60] = {.lex_state = 74},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 73},
  [63] = {.lex_state = 1},
  [64] = {.lex_state = 73},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 1},
  [68] = {.lex_state = 74},
  [69] = {.lex_state = 74},
  [70] = {.lex_state = 74},
  [71] = {.lex_state = 73},
  [72] = {.lex_state = 74},
  [73] = {.lex_state = 73},
  [74] = {.lex_state = 74},
  [75] = {.lex_state = 76},
  [76] = {.lex_state = 76},
  [77] = {.lex_state = 76},
  [78] = {.lex_state = 3},
  [79] = {.lex_state = 3},
  [80] = {.lex_state = 76},
  [81] = {.lex_state = 76},
  [82] = {.lex_state = 3},
  [83] = {.lex_state = 19},
  [84] = {.lex_state = 76},
  [85] = {.lex_state = 3},
  [86] = {.lex_state = 3},
  [87] = {.lex_state = 3},
  [88] = {.lex_state = 3},
  [89] = {.lex_state = 76},
  [90] = {.lex_state = 76},
  [91] = {.lex_state = 3},
  [92] = {.lex_state = 3},
  [93] = {.lex_state = 3},
  [94] = {.lex_state = 3},
  [95] = {.lex_state = 3},
  [96] = {.lex_state = 76},
  [97] = {.lex_state = 76},
  [98] = {.lex_state = 76},
  [99] = {.lex_state = 76},
  [100] = {.lex_state = 3},
  [101] = {.lex_state = 76},
  [102] = {.lex_state = 3},
  [103] = {.lex_state = 76},
  [104] = {.lex_state = 76},
  [105] = {.lex_state = 76},
  [106] = {.lex_state = 76},
  [107] = {.lex_state = 76},
  [108] = {.lex_state = 76},
  [109] = {.lex_state = 76},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 76},
  [112] = {.lex_state = 3},
  [113] = {.lex_state = 76},
  [114] = {.lex_state = 74},
  [115] = {.lex_state = 76},
  [116] = {.lex_state = 76},
  [117] = {.lex_state = 76},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 76},
  [122] = {.lex_state = 76},
  [123] = {.lex_state = 14},
  [124] = {.lex_state = 14},
  [125] = {.lex_state = 14},
  [126] = {.lex_state = 14},
  [127] = {.lex_state = 74},
  [128] = {.lex_state = 74},
  [129] = {.lex_state = 76},
  [130] = {.lex_state = 76},
  [131] = {.lex_state = 74},
  [132] = {.lex_state = 3},
  [133] = {.lex_state = 74},
  [134] = {.lex_state = 76},
  [135] = {.lex_state = 74},
  [136] = {.lex_state = 76},
  [137] = {.lex_state = 76},
  [138] = {.lex_state = 76},
  [139] = {.lex_state = 8},
  [140] = {.lex_state = 28},
  [141] = {.lex_state = 8},
  [142] = {.lex_state = 8},
  [143] = {.lex_state = 8},
  [144] = {.lex_state = 30},
  [145] = {.lex_state = 15},
  [146] = {.lex_state = 14},
  [147] = {.lex_state = 8},
  [148] = {.lex_state = 8},
  [149] = {.lex_state = 8},
  [150] = {.lex_state = 21},
  [151] = {.lex_state = 14},
  [152] = {.lex_state = 21},
  [153] = {.lex_state = 76},
  [154] = {.lex_state = 28},
  [155] = {.lex_state = 30},
  [156] = {.lex_state = 21},
  [157] = {.lex_state = 30},
  [158] = {.lex_state = 21},
  [159] = {.lex_state = 15},
  [160] = {.lex_state = 30},
  [161] = {.lex_state = 21},
  [162] = {.lex_state = 29},
  [163] = {.lex_state = 29},
  [164] = {.lex_state = 29},
  [165] = {.lex_state = 29},
  [166] = {.lex_state = 5},
  [167] = {.lex_state = 16},
  [168] = {.lex_state = 78},
  [169] = {.lex_state = 79},
  [170] = {.lex_state = 16},
  [171] = {.lex_state = 16},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 16},
  [174] = {.lex_state = 4},
  [175] = {.lex_state = 79},
  [176] = {.lex_state = 79},
  [177] = {.lex_state = 79},
  [178] = {.lex_state = 79},
  [179] = {.lex_state = 79},
  [180] = {.lex_state = 78},
  [181] = {.lex_state = 34},
  [182] = {.lex_state = 34},
  [183] = {.lex_state = 77},
  [184] = {.lex_state = 34},
  [185] = {.lex_state = 34},
  [186] = {.lex_state = 79},
  [187] = {.lex_state = 34},
  [188] = {.lex_state = 34},
  [189] = {.lex_state = 79},
  [190] = {.lex_state = 4},
  [191] = {.lex_state = 79},
  [192] = {.lex_state = 79},
  [193] = {.lex_state = 77},
  [194] = {.lex_state = 6},
  [195] = {.lex_state = 6},
  [196] = {.lex_state = 6},
  [197] = {.lex_state = 4},
  [198] = {.lex_state = 6},
  [199] = {.lex_state = 6},
  [200] = {.lex_state = 6},
  [201] = {.lex_state = 6},
  [202] = {.lex_state = 79},
  [203] = {.lex_state = 6},
  [204] = {.lex_state = 6},
  [205] = {.lex_state = 6},
  [206] = {.lex_state = 6},
  [207] = {.lex_state = 6},
  [208] = {.lex_state = 6},
  [209] = {.lex_state = 6},
  [210] = {.lex_state = 6},
  [211] = {.lex_state = 6},
  [212] = {.lex_state = 6},
  [213] = {.lex_state = 6},
  [214] = {.lex_state = 6},
  [215] = {.lex_state = 6},
  [216] = {.lex_state = 6},
  [217] = {.lex_state = 79},
  [218] = {.lex_state = 79},
  [219] = {.lex_state = 79},
  [220] = {.lex_state = 77},
  [221] = {.lex_state = 79},
  [222] = {.lex_state = 79},
  [223] = {.lex_state = 79},
  [224] = {.lex_state = 6},
  [225] = {.lex_state = 6},
  [226] = {.lex_state = 79},
  [227] = {.lex_state = 79},
  [228] = {.lex_state = 79},
  [229] = {.lex_state = 79},
  [230] = {.lex_state = 79},
  [231] = {.lex_state = 79},
  [232] = {.lex_state = 79},
  [233] = {.lex_state = 79},
  [234] = {.lex_state = 79},
  [235] = {.lex_state = 6},
  [236] = {.lex_state = 77},
  [237] = {.lex_state = 79},
  [238] = {.lex_state = 79},
  [239] = {.lex_state = 79},
  [240] = {.lex_state = 79},
  [241] = {.lex_state = 79},
  [242] = {.lex_state = 79},
  [243] = {.lex_state = 35},
  [244] = {.lex_state = 16},
  [245] = {.lex_state = 34},
  [246] = {.lex_state = 34},
  [247] = {.lex_state = 77},
  [248] = {.lex_state = 35},
  [249] = {.lex_state = 4},
  [250] = {.lex_state = 35},
  [251] = {.lex_state = 4},
  [252] = {.lex_state = 77},
  [253] = {.lex_state = 77},
  [254] = {.lex_state = 35},
  [255] = {.lex_state = 16},
  [256] = {.lex_state = 4},
  [257] = {.lex_state = 77},
  [258] = {.lex_state = 4},
  [259] = {.lex_state = 77},
  [260] = {.lex_state = 4},
  [261] = {.lex_state = 34},
  [262] = {.lex_state = 35},
  [263] = {.lex_state = 34},
  [264] = {.lex_state = 34},
  [265] = {.lex_state = 79},
  [266] = {.lex_state = 4},
  [267] = {.lex_state = 79},
  [268] = {.lex_state = 79},
  [269] = {.lex_state = 34},
  [270] = {.lex_state = 77},
  [271] = {.lex_state = 4},
  [272] = {.lex_state = 77},
  [273] = {.lex_state = 34},
  [274] = {.lex_state = 34},
  [275] = {.lex_state = 4},
  [276] = {.lex_state = 79},
  [277] = {.lex_state = 77},
  [278] = {.lex_state = 77},
  [279] = {.lex_state = 35},
  [280] = {.lex_state = 4},
  [281] = {.lex_state = 79},
  [282] = {.lex_state = 35},
  [283] = {.lex_state = 4},
  [284] = {.lex_state = 17},
  [285] = {.lex_state = 4},
  [286] = {.lex_state = 4},
  [287] = {.lex_state = 77},
  [288] = {.lex_state = 77},
  [289] = {.lex_state = 35},
  [290] = {.lex_state = 35},
  [291] = {.lex_state = 16},
  [292] = {.lex_state = 77},
  [293] = {.lex_state = 35},
  [294] = {.lex_state = 77},
  [295] = {.lex_state = 79},
  [296] = {.lex_state = 79},
  [297] = {.lex_state = 79},
  [298] = {.lex_state = 79},
  [299] = {.lex_state = 79},
  [300] = {.lex_state = 79},
  [301] = {.lex_state = 79},
  [302] = {.lex_state = 35},
  [303] = {.lex_state = 79},
  [304] = {.lex_state = 17},
  [305] = {.lex_state = 77},
  [306] = {.lex_state = 79},
  [307] = {.lex_state = 77},
  [308] = {.lex_state = 34},
  [309] = {.lex_state = 79},
  [310] = {.lex_state = 79},
  [311] = {.lex_state = 79},
  [312] = {.lex_state = 79},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 26},
  [315] = {.lex_state = 21},
  [316] = {.lex_state = 26},
  [317] = {.lex_state = 77},
  [318] = {.lex_state = 80},
  [319] = {.lex_state = 77},
  [320] = {.lex_state = 7},
  [321] = {.lex_state = 77},
  [322] = {.lex_state = 77},
  [323] = {.lex_state = 28},
  [324] = {.lex_state = 28},
  [325] = {.lex_state = 77},
  [326] = {.lex_state = 8},
  [327] = {.lex_state = 8},
  [328] = {.lex_state = 9},
  [329] = {.lex_state = 77},
  [330] = {.lex_state = 15},
  [331] = {.lex_state = 15},
  [332] = {.lex_state = 7},
  [333] = {.lex_state = 9},
  [334] = {.lex_state = 80},
  [335] = {.lex_state = 8},
  [336] = {.lex_state = 10},
  [337] = {.lex_state = 15},
  [338] = {.lex_state = 26},
  [339] = {.lex_state = 9},
  [340] = {.lex_state = 10},
  [341] = {.lex_state = 45},
  [342] = {.lex_state = 26},
  [343] = {.lex_state = 9},
  [344] = {.lex_state = 10},
  [345] = {.lex_state = 77},
  [346] = {.lex_state = 77},
  [347] = {.lex_state = 7},
  [348] = {.lex_state = 77},
  [349] = {.lex_state = 7},
  [350] = {.lex_state = 81},
  [351] = {.lex_state = 81},
  [352] = {.lex_state = 34},
  [353] = {.lex_state = 26},
  [354] = {.lex_state = 9},
  [355] = {.lex_state = 10},
  [356] = {.lex_state = 45},
  [357] = {.lex_state = 26},
  [358] = {.lex_state = 9},
  [359] = {.lex_state = 10},
  [360] = {.lex_state = 10},
  [361] = {.lex_state = 26},
  [362] = {.lex_state = 77},
  [363] = {.lex_state = 81},
  [364] = {.lex_state = 7},
  [365] = {.lex_state = 81},
  [366] = {.lex_state = 81},
  [367] = {.lex_state = 26},
  [368] = {.lex_state = 9},
  [369] = {.lex_state = 10},
  [370] = {.lex_state = 45},
  [371] = {.lex_state = 26},
  [372] = {.lex_state = 9},
  [373] = {.lex_state = 10},
  [374] = {.lex_state = 26},
  [375] = {.lex_state = 9},
  [376] = {.lex_state = 10},
  [377] = {.lex_state = 45},
  [378] = {.lex_state = 26},
  [379] = {.lex_state = 9},
  [380] = {.lex_state = 10},
  [381] = {.lex_state = 26},
  [382] = {.lex_state = 9},
  [383] = {.lex_state = 45},
  [384] = {.lex_state = 81},
  [385] = {.lex_state = 9},
  [386] = {.lex_state = 9},
  [387] = {.lex_state = 45},
  [388] = {.lex_state = 9},
  [389] = {.lex_state = 9},
  [390] = {.lex_state = 45},
  [391] = {.lex_state = 9},
  [392] = {.lex_state = 45},
  [393] = {.lex_state = 45},
  [394] = {.lex_state = 45},
  [395] = {.lex_state = 45},
  [396] = {.lex_state = 9},
  [397] = {.lex_state = 45},
  [398] = {.lex_state = 77},
  [399] = {.lex_state = 10},
  [400] = {.lex_state = 77},
  [401] = {.lex_state = 26},
  [402] = {.lex_state = 77},
  [403] = {.lex_state = 7},
  [404] = {.lex_state = 81},
  [405] = {.lex_state = 7},
  [406] = {.lex_state = 11},
  [407] = {.lex_state = 12},
  [408] = {.lex_state = 81},
  [409] = {.lex_state = 13},
  [410] = {.lex_state = 11},
  [411] = {.lex_state = 12},
  [412] = {.lex_state = 80},
  [413] = {.lex_state = 13},
  [414] = {.lex_state = 11},
  [415] = {.lex_state = 12},
  [416] = {.lex_state = 13},
  [417] = {.lex_state = 11},
  [418] = {.lex_state = 81},
  [419] = {.lex_state = 12},
  [420] = {.lex_state = 13},
  [421] = {.lex_state = 11},
  [422] = {.lex_state = 12},
  [423] = {.lex_state = 13},
  [424] = {.lex_state = 11},
  [425] = {.lex_state = 12},
  [426] = {.lex_state = 30},
  [427] = {.lex_state = 80},
  [428] = {.lex_state = 7},
  [429] = {.lex_state = 80},
  [430] = {.lex_state = 80},
  [431] = {.lex_state = 7},
  [432] = {.lex_state = 13},
  [433] = {.lex_state = 80},
  [434] = {.lex_state = 12},
  [435] = {.lex_state = 37},
  [436] = {.lex_state = 44},
  [437] = {.lex_state = 44},
  [438] = {.lex_state = 44},
  [439] = {.lex_state = 44},
  [440] = {.lex_state = 10},
  [441] = {.lex_state = 44},
  [442] = {.lex_state = 35},
  [443] = {.lex_state = 80},
  [444] = {.lex_state = 81},
  [445] = {.lex_state = 81},
  [446] = {.lex_state = 81},
  [447] = {.lex_state = 80},
  [448] = {.lex_state = 81},
  [449] = {.lex_state = 37},
  [450] = {.lex_state = 12},
  [451] = {.lex_state = 81},
  [452] = {.lex_state = 80},
  [453] = {.lex_state = 37},
  [454] = {.lex_state = 9},
  [455] = {.lex_state = 81},
  [456] = {.lex_state = 81},
  [457] = {.lex_state = 37},
  [458] = {.lex_state = 81},
  [459] = {.lex_state = 44},
  [460] = {.lex_state = 13},
  [461] = {.lex_state = 13},
  [462] = {.lex_state = 11},
  [463] = {.lex_state = 37},
  [464] = {.lex_state = 11},
  [465] = {.lex_state = 44},
  [466] = {.lex_state = 81},
  [467] = {.lex_state = 55},
  [468] = {.lex_state = 158},
  [469] = {.lex_state = 81},
  [470] = {.lex_state = 81},
  [471] = {.lex_state = 81},
  [472] = {.lex_state = 81},
  [473] = {.lex_state = 81},
  [474] = {.lex_state = 151},
  [475] = {.lex_state = 158},
  [476] = {.lex_state = 151},
  [477] = {.lex_state = 151},
  [478] = {.lex_state = 37},
  [479] = {.lex_state = 151},
  [480] = {.lex_state = 158},
  [481] = {.lex_state = 158},
  [482] = {.lex_state = 81},
  [483] = {.lex_state = 55},
  [484] = {.lex_state = 158},
  [485] = {.lex_state = 81},
  [486] = {.lex_state = 81},
  [487] = {.lex_state = 81},
  [488] = {.lex_state = 36},
  [489] = {.lex_state = 81},
  [490] = {.lex_state = 44},
  [491] = {.lex_state = 81},
  [492] = {.lex_state = 81},
  [493] = {.lex_state = 81},
  [494] = {.lex_state = 151},
  [495] = {.lex_state = 81},
  [496] = {.lex_state = 81},
  [497] = {.lex_state = 81},
  [498] = {.lex_state = 81},
  [499] = {.lex_state = 151},
  [500] = {.lex_state = 81},
  [501] = {.lex_state = 37},
  [502] = {.lex_state = 81},
  [503] = {.lex_state = 81},
  [504] = {.lex_state = 81},
  [505] = {.lex_state = 81},
  [506] = {.lex_state = 81},
  [507] = {.lex_state = 81},
  [508] = {.lex_state = 158},
  [509] = {.lex_state = 36},
  [510] = {.lex_state = 81},
  [511] = {.lex_state = 81},
  [512] = {.lex_state = 81},
  [513] = {.lex_state = 81},
  [514] = {.lex_state = 81},
  [515] = {.lex_state = 36},
  [516] = {.lex_state = 81},
  [517] = {.lex_state = 81},
  [518] = {.lex_state = 36},
  [519] = {.lex_state = 36},
  [520] = {.lex_state = 81},
  [521] = {.lex_state = 81},
  [522] = {.lex_state = 81},
  [523] = {.lex_state = 81},
  [524] = {.lex_state = 81},
  [525] = {.lex_state = 81},
  [526] = {.lex_state = 81},
  [527] = {.lex_state = 81},
  [528] = {.lex_state = 81},
  [529] = {.lex_state = 81},
  [530] = {.lex_state = 18},
  [531] = {.lex_state = 81},
  [532] = {.lex_state = 81},
  [533] = {.lex_state = 81},
  [534] = {.lex_state = 81},
  [535] = {.lex_state = 81},
  [536] = {.lex_state = 81},
  [537] = {.lex_state = 81},
  [538] = {.lex_state = 52},
  [539] = {.lex_state = 81},
  [540] = {.lex_state = 81},
  [541] = {.lex_state = 52},
  [542] = {.lex_state = 81},
  [543] = {.lex_state = 81},
  [544] = {.lex_state = 53},
  [545] = {.lex_state = 81},
  [546] = {.lex_state = 54},
  [547] = {.lex_state = 81},
  [548] = {.lex_state = 81},
  [549] = {.lex_state = 81},
  [550] = {.lex_state = 81},
  [551] = {.lex_state = 53},
  [552] = {.lex_state = 81},
  [553] = {.lex_state = 52},
  [554] = {.lex_state = 81},
  [555] = {.lex_state = 81},
  [556] = {.lex_state = 54},
  [557] = {.lex_state = 81},
  [558] = {.lex_state = 46},
  [559] = {.lex_state = 81},
  [560] = {.lex_state = 46},
  [561] = {.lex_state = 81},
  [562] = {.lex_state = 56},
  [563] = {.lex_state = 81},
  [564] = {.lex_state = 46},
  [565] = {.lex_state = 81},
  [566] = {.lex_state = 52},
  [567] = {.lex_state = 53},
  [568] = {.lex_state = 54},
  [569] = {.lex_state = 81},
  [570] = {.lex_state = 81},
  [571] = {.lex_state = 81},
  [572] = {.lex_state = 56},
  [573] = {.lex_state = 81},
  [574] = {.lex_state = 46},
  [575] = {.lex_state = 56},
  [576] = {.lex_state = 81},
  [577] = {.lex_state = 81},
  [578] = {.lex_state = 81},
  [579] = {.lex_state = 81},
  [580] = {.lex_state = 81},
  [581] = {.lex_state = 81},
  [582] = {.lex_state = 55},
  [583] = {.lex_state = 81},
  [584] = {.lex_state = 56},
  [585] = {.lex_state = 81},
  [586] = {.lex_state = 53},
  [587] = {.lex_state = 52},
  [588] = {.lex_state = 81},
  [589] = {.lex_state = 52},
  [590] = {.lex_state = 53},
  [591] = {.lex_state = 53},
  [592] = {.lex_state = 54},
  [593] = {.lex_state = 54},
  [594] = {.lex_state = 46},
  [595] = {.lex_state = 46},
  [596] = {.lex_state = 56},
  [597] = {.lex_state = 81},
  [598] = {.lex_state = 81},
  [599] = {.lex_state = 54},
  [600] = {.lex_state = 81},
  [601] = {.lex_state = 81},
  [602] = {.lex_state = 56},
  [603] = {.lex_state = 81},
  [604] = {.lex_state = 81},
  [605] = {.lex_state = 81},
  [606] = {.lex_state = 81},
  [607] = {.lex_state = 81},
  [608] = {.lex_state = 81},
  [609] = {.lex_state = 81},
  [610] = {.lex_state = 81},
  [611] = {.lex_state = 81},
  [612] = {.lex_state = 81},
  [613] = {.lex_state = 81},
  [614] = {.lex_state = 81},
  [615] = {.lex_state = 81},
  [616] = {.lex_state = 81},
  [617] = {.lex_state = 81},
  [618] = {.lex_state = 81},
  [619] = {.lex_state = 81},
  [620] = {.lex_state = 81},
  [621] = {.lex_state = 81},
  [622] = {.lex_state = 81},
  [623] = {.lex_state = 81},
  [624] = {.lex_state = 81},
  [625] = {.lex_state = 81},
  [626] = {.lex_state = 81},
  [627] = {.lex_state = 81},
  [628] = {.lex_state = 81},
  [629] = {.lex_state = 81},
  [630] = {.lex_state = 81},
  [631] = {.lex_state = 81},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(1),
    [aux_sym_block_comment_token2] = ACTIONS(1),
    [aux_sym_block_comment_token3] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_argument_name_token1] = ACTIONS(1),
    [aux_sym_connection_token1] = ACTIONS(1),
    [aux_sym_connection_token2] = ACTIONS(1),
    [aux_sym_connection_token3] = ACTIONS(1),
    [aux_sym_connection_token4] = ACTIONS(1),
    [sym_import] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [aux_sym__label_codeblock_single_token1] = ACTIONS(3),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_BQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE_PIPE] = ACTIONS(1),
    [aux_sym__label_codeblock_fallback_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [aux_sym_connection_identifier_token1] = ACTIONS(1),
    [anon_sym_RBRACK2] = ACTIONS(1),
    [aux_sym__ident_base_token1] = ACTIONS(1),
    [sym_glob] = ACTIONS(1),
    [sym_recursive_glob] = ACTIONS(1),
    [sym_global_glob] = ACTIONS(1),
    [sym_glob_filter] = ACTIONS(1),
    [sym_inverse_glob_filter] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BSLASH_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_RBRACE2] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT_DOLLAR] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_escape_token2] = ACTIONS(1),
    [aux_sym_escape_token3] = ACTIONS(1),
    [aux_sym_escape_token4] = ACTIONS(1),
    [aux_sym_escape_token5] = ACTIONS(1),
    [anon_sym_SEMI2] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(550),
    [sym__declaration] = STATE(334),
    [sym_block_comment] = STATE(183),
    [sym_declaration] = STATE(183),
    [sym__expr] = STATE(168),
    [sym_method_declaration] = STATE(183),
    [sym__identifier] = STATE(77),
    [sym_identifier_chain] = STATE(77),
    [sym__single_top_level_identifier] = STATE(84),
    [sym_connection_reference] = STATE(84),
    [sym_identifier] = STATE(90),
    [aux_sym__ident_base] = STATE(51),
    [sym__filters] = STATE(156),
    [sym_visibility_mark] = STATE(156),
    [sym__variable] = STATE(183),
    [sym_variable] = STATE(183),
    [sym_spread_variable] = STATE(183),
    [sym__single_quoted] = STATE(76),
    [sym__double_quoted] = STATE(76),
    [sym_escape] = STATE(51),
    [sym__eol] = STATE(2),
    [aux_sym_source_file_repeat1] = STATE(2),
    [aux_sym_identifier_repeat1] = STATE(254),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_comment] = ACTIONS(7),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [sym_import] = ACTIONS(7),
    [aux_sym__label_codeblock_single_token1] = ACTIONS(3),
    [aux_sym__ident_base_token1] = ACTIONS(13),
    [sym_glob] = ACTIONS(15),
    [sym_recursive_glob] = ACTIONS(17),
    [sym_global_glob] = ACTIONS(17),
    [sym_glob_filter] = ACTIONS(19),
    [sym_inverse_glob_filter] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_BSLASH_POUND] = ACTIONS(21),
    [anon_sym_DOLLAR] = ACTIONS(23),
    [anon_sym_DOT_DOT_DOT_DOLLAR] = ACTIONS(25),
    [anon_sym_SQUOTE] = ACTIONS(27),
    [anon_sym_DQUOTE2] = ACTIONS(29),
    [anon_sym_BSLASH] = ACTIONS(31),
    [aux_sym__eol_token1] = ACTIONS(33),
    [anon_sym_SEMI2] = ACTIONS(33),
    [anon_sym_NULL] = ACTIONS(33),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(9), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      aux_sym__ident_base_token1,
    ACTIONS(15), 1,
      sym_glob,
    ACTIONS(23), 1,
      anon_sym_DOLLAR,
    ACTIONS(25), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(27), 1,
      anon_sym_SQUOTE,
    ACTIONS(29), 1,
      anon_sym_DQUOTE2,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    ACTIONS(35), 1,
      ts_builtin_sym_end,
    STATE(90), 1,
      sym_identifier,
    STATE(168), 1,
      sym__expr,
    STATE(254), 1,
      aux_sym_identifier_repeat1,
    STATE(318), 1,
      sym__declaration,
    ACTIONS(7), 2,
      sym_comment,
      sym_import,
    ACTIONS(17), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(19), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(3), 2,
      sym__eol,
      aux_sym_source_file_repeat1,
    STATE(51), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(76), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(77), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(84), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(156), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    ACTIONS(37), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
    STATE(183), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [100] = 27,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(39), 1,
      ts_builtin_sym_end,
    ACTIONS(44), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_LPAREN,
    ACTIONS(50), 1,
      aux_sym__ident_base_token1,
    ACTIONS(53), 1,
      sym_glob,
    ACTIONS(65), 1,
      anon_sym_DOLLAR,
    ACTIONS(68), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(71), 1,
      anon_sym_SQUOTE,
    ACTIONS(74), 1,
      anon_sym_DQUOTE2,
    ACTIONS(77), 1,
      anon_sym_BSLASH,
    STATE(122), 1,
      sym_identifier,
    STATE(180), 1,
      sym__expr,
    STATE(279), 1,
      aux_sym_identifier_repeat1,
    STATE(412), 1,
      sym__declaration,
    ACTIONS(41), 2,
      sym_comment,
      sym_import,
    ACTIONS(56), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(59), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(3), 2,
      sym__eol,
      aux_sym_source_file_repeat1,
    STATE(58), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(107), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(109), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(130), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(152), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(62), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    ACTIONS(80), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
    STATE(257), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [200] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(89), 1,
      anon_sym_RBRACE,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(6), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(332), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [294] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(112), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(115), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_RBRACE,
    ACTIONS(120), 1,
      aux_sym__ident_base_token1,
    ACTIONS(123), 1,
      sym_glob,
    ACTIONS(135), 1,
      anon_sym_DOLLAR,
    ACTIONS(138), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(144), 1,
      anon_sym_DQUOTE2,
    ACTIONS(147), 1,
      anon_sym_BSLASH,
    STATE(5), 1,
      aux_sym_block_repeat1,
    STATE(122), 1,
      sym_identifier,
    STATE(180), 1,
      sym__expr,
    STATE(279), 1,
      aux_sym_identifier_repeat1,
    STATE(430), 1,
      sym__declaration,
    ACTIONS(109), 2,
      sym_comment,
      sym_import,
    ACTIONS(126), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(129), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(58), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(107), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(109), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(130), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(152), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(132), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(257), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [388] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(150), 1,
      anon_sym_RBRACE,
    STATE(5), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(320), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [482] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(152), 1,
      anon_sym_RBRACE,
    STATE(5), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(349), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [576] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(154), 1,
      anon_sym_RBRACE,
    STATE(7), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(347), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [670] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(156), 1,
      anon_sym_RBRACE,
    STATE(5), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(364), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [764] = 26,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(99), 1,
      anon_sym_DOLLAR,
    ACTIONS(101), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(158), 1,
      anon_sym_RBRACE,
    STATE(9), 1,
      aux_sym_block_repeat1,
    STATE(100), 1,
      sym_identifier,
    STATE(166), 1,
      sym__expr,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    STATE(403), 1,
      sym__declaration,
    ACTIONS(83), 2,
      sym_comment,
      sym_import,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(78), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(85), 2,
      sym__single_top_level_identifier,
      sym_connection_reference,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(190), 6,
      sym_block_comment,
      sym_declaration,
      sym_method_declaration,
      sym__variable,
      sym_variable,
      sym_spread_variable,
  [858] = 23,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(160), 1,
      sym_import,
    ACTIONS(162), 1,
      anon_sym_LBRACE,
    ACTIONS(164), 1,
      anon_sym_PIPE,
    ACTIONS(166), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(168), 1,
      anon_sym_PIPE_PIPE_PIPE,
    ACTIONS(170), 1,
      anon_sym_PIPE_BQUOTE,
    ACTIONS(172), 1,
      aux_sym__label_codeblock_fallback_token1,
    ACTIONS(174), 1,
      anon_sym_LBRACK,
    ACTIONS(180), 1,
      aux_sym__label_token_token1,
    ACTIONS(182), 1,
      anon_sym_DQUOTE,
    ACTIONS(184), 1,
      anon_sym_DOLLAR,
    ACTIONS(186), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(188), 1,
      anon_sym_SQUOTE,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    STATE(160), 1,
      aux_sym__label_literal_repeat1,
    STATE(169), 1,
      sym_label,
    STATE(252), 1,
      sym_block,
    ACTIONS(176), 2,
      sym_integer,
      sym_float,
    ACTIONS(178), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(60), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    STATE(192), 5,
      sym__label_codeblock_single,
      sym__label_codeblock_double,
      sym__label_codeblock_triple,
      sym__label_codeblock_ticks,
      sym__label_codeblock_fallback,
    STATE(191), 6,
      sym_label_codeblock,
      sym__label_constraints,
      sym__label_literal,
      sym_boolean,
      sym__label_double_quoted,
      sym__single_quoted,
  [943] = 23,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(192), 1,
      sym_import,
    ACTIONS(194), 1,
      anon_sym_LBRACE,
    ACTIONS(196), 1,
      anon_sym_PIPE,
    ACTIONS(198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(200), 1,
      anon_sym_PIPE_PIPE_PIPE,
    ACTIONS(202), 1,
      anon_sym_PIPE_BQUOTE,
    ACTIONS(204), 1,
      aux_sym__label_codeblock_fallback_token1,
    ACTIONS(206), 1,
      anon_sym_LBRACK,
    ACTIONS(212), 1,
      aux_sym__label_token_token1,
    ACTIONS(214), 1,
      anon_sym_DQUOTE,
    ACTIONS(216), 1,
      anon_sym_DOLLAR,
    ACTIONS(218), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(220), 1,
      anon_sym_SQUOTE,
    ACTIONS(222), 1,
      anon_sym_BSLASH,
    STATE(144), 1,
      aux_sym__label_literal_repeat1,
    STATE(172), 1,
      sym_label,
    STATE(251), 1,
      sym_block,
    ACTIONS(208), 2,
      sym_integer,
      sym_float,
    ACTIONS(210), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(65), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    STATE(196), 5,
      sym__label_codeblock_single,
      sym__label_codeblock_double,
      sym__label_codeblock_triple,
      sym__label_codeblock_ticks,
      sym__label_codeblock_fallback,
    STATE(195), 6,
      sym_label_codeblock,
      sym__label_constraints,
      sym__label_literal,
      sym_boolean,
      sym__label_double_quoted,
      sym__single_quoted,
  [1028] = 23,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(224), 1,
      sym_import,
    ACTIONS(226), 1,
      anon_sym_LBRACE,
    ACTIONS(228), 1,
      anon_sym_PIPE,
    ACTIONS(230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(232), 1,
      anon_sym_PIPE_PIPE_PIPE,
    ACTIONS(234), 1,
      anon_sym_PIPE_BQUOTE,
    ACTIONS(236), 1,
      aux_sym__label_codeblock_fallback_token1,
    ACTIONS(238), 1,
      anon_sym_LBRACK,
    ACTIONS(244), 1,
      aux_sym__label_token_token1,
    ACTIONS(246), 1,
      anon_sym_DQUOTE,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(250), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(252), 1,
      anon_sym_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_BSLASH,
    STATE(157), 1,
      aux_sym__label_literal_repeat1,
    STATE(186), 1,
      sym_label,
    STATE(329), 1,
      sym_block,
    ACTIONS(240), 2,
      sym_integer,
      sym_float,
    ACTIONS(242), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(70), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    STATE(268), 5,
      sym__label_codeblock_single,
      sym__label_codeblock_double,
      sym__label_codeblock_triple,
      sym__label_codeblock_ticks,
      sym__label_codeblock_fallback,
    STATE(267), 6,
      sym_label_codeblock,
      sym__label_constraints,
      sym__label_literal,
      sym_boolean,
      sym__label_double_quoted,
      sym__single_quoted,
  [1113] = 17,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    STATE(526), 1,
      sym__expr,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(181), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1175] = 17,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    STATE(585), 1,
      sym__expr,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(181), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1237] = 17,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    STATE(559), 1,
      sym__expr,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(181), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1299] = 17,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    STATE(571), 1,
      sym__expr,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(181), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1361] = 17,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    STATE(581), 1,
      sym__expr,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(181), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1423] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(578), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1482] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(583), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1541] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(549), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1600] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(262), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(352), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(182), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1659] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      aux_sym__ident_base_token1,
    ACTIONS(15), 1,
      sym_glob,
    ACTIONS(27), 1,
      anon_sym_SQUOTE,
    ACTIONS(29), 1,
      anon_sym_DQUOTE2,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    STATE(254), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(17), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(19), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(51), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(76), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(134), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(156), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(84), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1718] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(288), 1,
      anon_sym_LPAREN,
    ACTIONS(290), 1,
      aux_sym__ident_base_token1,
    ACTIONS(292), 1,
      sym_glob,
    ACTIONS(298), 1,
      anon_sym_SQUOTE,
    ACTIONS(300), 1,
      anon_sym_DQUOTE2,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    STATE(279), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(294), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(296), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(58), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(109), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(152), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(153), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(107), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1777] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(563), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1836] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(95), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(132), 2,
      sym__identifier,
      sym_identifier_chain,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(85), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1895] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(557), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [1954] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(561), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2013] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(523), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2072] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(524), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2131] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(534), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2190] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(535), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2249] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(542), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2308] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(543), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2367] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(547), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2426] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(548), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2485] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(552), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2544] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(521), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2603] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(554), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2662] = 16,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(278), 2,
      sym_recursive_glob,
      sym_global_glob,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(555), 2,
      sym__identifier,
      sym_identifier_chain,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(444), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2721] = 15,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(256), 1,
      anon_sym_LPAREN,
    ACTIONS(258), 1,
      aux_sym__ident_base_token1,
    ACTIONS(260), 1,
      sym_glob,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(243), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(264), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    ACTIONS(304), 2,
      sym_recursive_glob,
      sym_global_glob,
    STATE(123), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(150), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(274), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(269), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2776] = 15,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(288), 1,
      anon_sym_LPAREN,
    ACTIONS(290), 1,
      aux_sym__ident_base_token1,
    ACTIONS(292), 1,
      sym_glob,
    ACTIONS(298), 1,
      anon_sym_SQUOTE,
    ACTIONS(300), 1,
      anon_sym_DQUOTE2,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    STATE(279), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(296), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    ACTIONS(306), 2,
      sym_recursive_glob,
      sym_global_glob,
    STATE(58), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(109), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(152), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(138), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2831] = 15,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      aux_sym__ident_base_token1,
    ACTIONS(15), 1,
      sym_glob,
    ACTIONS(27), 1,
      anon_sym_SQUOTE,
    ACTIONS(29), 1,
      anon_sym_DQUOTE2,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    STATE(254), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(19), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    ACTIONS(308), 2,
      sym_recursive_glob,
      sym_global_glob,
    STATE(51), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(76), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(156), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(116), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2886] = 15,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(87), 1,
      anon_sym_LPAREN,
    ACTIONS(91), 1,
      aux_sym__ident_base_token1,
    ACTIONS(93), 1,
      sym_glob,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(290), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(97), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    ACTIONS(310), 2,
      sym_recursive_glob,
      sym_global_glob,
    STATE(54), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(86), 2,
      sym__single_quoted,
      sym__double_quoted,
    STATE(158), 2,
      sym__filters,
      sym_visibility_mark,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(110), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2941] = 15,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(272), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      aux_sym__ident_base_token1,
    ACTIONS(276), 1,
      sym_glob,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(248), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(280), 2,
      sym_glob_filter,
      sym_inverse_glob_filter,
    ACTIONS(312), 2,
      sym_recursive_glob,
      sym_global_glob,
    STATE(161), 2,
      sym__filters,
      sym_visibility_mark,
    STATE(171), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(493), 2,
      sym__single_quoted,
      sym__double_quoted,
    ACTIONS(21), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
    STATE(520), 3,
      sym__single_top_level_identifier,
      sym_connection_reference,
      sym_identifier,
  [2996] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(39), 1,
      ts_builtin_sym_end,
    ACTIONS(314), 21,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      sym_import,
      aux_sym__ident_base_token1,
      sym_glob,
      sym_recursive_glob,
      sym_global_glob,
      sym_glob_filter,
      sym_inverse_glob_filter,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3026] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(320), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(52), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(316), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3059] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(118), 19,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      sym_import,
      anon_sym_RBRACE,
      aux_sym__ident_base_token1,
      sym_glob,
      sym_recursive_glob,
      sym_global_glob,
      sym_glob_filter,
      sym_inverse_glob_filter,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_BSLASH,
  [3084] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(322), 1,
      ts_builtin_sym_end,
    ACTIONS(329), 1,
      anon_sym_BSLASH,
    ACTIONS(326), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(49), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(324), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3117] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(332), 1,
      ts_builtin_sym_end,
    ACTIONS(334), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(49), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(316), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3152] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(336), 1,
      ts_builtin_sym_end,
    ACTIONS(334), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(49), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(338), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3187] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(343), 1,
      anon_sym_BSLASH,
    ACTIONS(340), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(52), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(324), 14,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3218] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(346), 1,
      ts_builtin_sym_end,
    ACTIONS(334), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(49), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(348), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3253] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(320), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(52), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(338), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3286] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(320), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(52), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(348), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3319] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(350), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(57), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(316), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3351] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(355), 1,
      anon_sym_BSLASH,
    ACTIONS(352), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(57), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(324), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3381] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(350), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(57), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(338), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3413] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(350), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(57), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(348), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3445] = 9,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(184), 1,
      anon_sym_DOLLAR,
    ACTIONS(186), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(358), 1,
      ts_builtin_sym_end,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(364), 1,
      aux_sym__label_token_token1,
    STATE(68), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(360), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3482] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(216), 1,
      anon_sym_DOLLAR,
    ACTIONS(218), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(222), 1,
      anon_sym_BSLASH,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(368), 1,
      aux_sym__label_token_token1,
    STATE(66), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(366), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3517] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(370), 1,
      ts_builtin_sym_end,
    ACTIONS(372), 16,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3542] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(377), 5,
      anon_sym_LPAREN,
      aux_sym_label_constraint_token2,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
    ACTIONS(374), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3567] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(379), 1,
      ts_builtin_sym_end,
    ACTIONS(377), 5,
      anon_sym_LPAREN,
      aux_sym_label_constraint_token2,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
    ACTIONS(374), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3594] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(216), 1,
      anon_sym_DOLLAR,
    ACTIONS(218), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(222), 1,
      anon_sym_BSLASH,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(368), 1,
      aux_sym__label_token_token1,
    STATE(66), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(360), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3629] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(384), 1,
      aux_sym__label_token_token1,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(390), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(393), 1,
      anon_sym_BSLASH,
    STATE(66), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(382), 8,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3662] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 17,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3685] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(396), 1,
      ts_builtin_sym_end,
    ACTIONS(398), 1,
      aux_sym__label_token_token1,
    ACTIONS(401), 1,
      anon_sym_DOLLAR,
    ACTIONS(404), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(407), 1,
      anon_sym_BSLASH,
    STATE(68), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(382), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3720] = 9,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(184), 1,
      anon_sym_DOLLAR,
    ACTIONS(186), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(364), 1,
      aux_sym__label_token_token1,
    ACTIONS(410), 1,
      ts_builtin_sym_end,
    STATE(68), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(366), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3757] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(250), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(254), 1,
      anon_sym_BSLASH,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(412), 1,
      aux_sym__label_token_token1,
    STATE(74), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(360), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3791] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(377), 5,
      anon_sym_LPAREN,
      aux_sym_label_constraint_token2,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
    ACTIONS(374), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3815] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(250), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(254), 1,
      anon_sym_BSLASH,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(412), 1,
      aux_sym__label_token_token1,
    STATE(74), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(366), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3849] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 16,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3871] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(414), 1,
      aux_sym__label_token_token1,
    ACTIONS(417), 1,
      anon_sym_DOLLAR,
    ACTIONS(420), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(423), 1,
      anon_sym_BSLASH,
    STATE(74), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
    ACTIONS(382), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3903] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(426), 1,
      ts_builtin_sym_end,
    ACTIONS(428), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3924] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(336), 1,
      ts_builtin_sym_end,
    ACTIONS(338), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3945] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(430), 1,
      ts_builtin_sym_end,
    STATE(23), 1,
      sym_connection,
    STATE(89), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(432), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3972] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(26), 1,
      sym_connection,
    STATE(79), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(432), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [3997] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(26), 1,
      sym_connection,
    STATE(82), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(436), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4022] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(438), 1,
      ts_builtin_sym_end,
    STATE(23), 1,
      sym_connection,
    STATE(80), 1,
      aux_sym__expr_repeat1,
    ACTIONS(442), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(440), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4049] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(445), 1,
      ts_builtin_sym_end,
    ACTIONS(449), 1,
      anon_sym_DOT,
    STATE(81), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(447), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4074] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(26), 1,
      sym_connection,
    STATE(82), 1,
      aux_sym__expr_repeat1,
    ACTIONS(442), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(440), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4099] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(452), 13,
      anon_sym_LPAREN,
      aux_sym__ident_base_token1,
      sym_glob,
      sym_recursive_glob,
      sym_global_glob,
      sym_glob_filter,
      sym_inverse_glob_filter,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_BSLASH_POUND,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_BSLASH,
  [4118] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(454), 1,
      ts_builtin_sym_end,
    ACTIONS(458), 1,
      anon_sym_DOT,
    STATE(96), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(456), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4143] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(460), 1,
      anon_sym_DOT,
    STATE(88), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(456), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4166] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(338), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4185] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(428), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4204] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(460), 1,
      anon_sym_DOT,
    STATE(93), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(462), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4227] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(464), 1,
      ts_builtin_sym_end,
    STATE(23), 1,
      sym_connection,
    STATE(80), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(436), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4254] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(466), 1,
      ts_builtin_sym_end,
    ACTIONS(470), 1,
      anon_sym_LPAREN,
    ACTIONS(468), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4277] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(316), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4296] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(472), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4315] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(474), 1,
      anon_sym_DOT,
    STATE(93), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(447), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4338] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4357] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 13,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4376] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(458), 1,
      anon_sym_DOT,
    ACTIONS(481), 1,
      ts_builtin_sym_end,
    STATE(81), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(462), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4401] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(483), 1,
      ts_builtin_sym_end,
    ACTIONS(477), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4422] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(332), 1,
      ts_builtin_sym_end,
    ACTIONS(316), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4443] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(485), 1,
      ts_builtin_sym_end,
    ACTIONS(479), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4464] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(487), 1,
      anon_sym_LPAREN,
    ACTIONS(468), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4485] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(489), 1,
      ts_builtin_sym_end,
    ACTIONS(472), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4506] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(491), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4524] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(472), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4542] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(493), 1,
      anon_sym_DOT,
    STATE(104), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(447), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4564] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(496), 1,
      ts_builtin_sym_end,
    ACTIONS(498), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4584] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4602] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(500), 1,
      anon_sym_DOT,
    STATE(115), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(456), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4624] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4642] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(338), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4660] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(447), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4678] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(428), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4696] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(498), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4714] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(24), 1,
      sym_connection,
    STATE(117), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(436), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4738] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(370), 1,
      ts_builtin_sym_end,
    ACTIONS(372), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4758] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(500), 1,
      anon_sym_DOT,
    STATE(104), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(462), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4780] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(445), 1,
      ts_builtin_sym_end,
    ACTIONS(447), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4800] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(24), 1,
      sym_connection,
    STATE(117), 1,
      aux_sym__expr_repeat1,
    ACTIONS(442), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(440), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4824] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4842] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4860] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4878] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(506), 1,
      ts_builtin_sym_end,
    ACTIONS(491), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4898] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(508), 1,
      anon_sym_LPAREN,
    ACTIONS(468), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [4918] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(510), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(124), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(338), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [4944] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(515), 1,
      anon_sym_BSLASH,
    ACTIONS(512), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(124), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(324), 7,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
  [4968] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(510), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(124), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(316), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [4994] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(510), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(124), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(348), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [5020] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(518), 1,
      ts_builtin_sym_end,
    ACTIONS(502), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5040] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(520), 1,
      ts_builtin_sym_end,
    ACTIONS(504), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5060] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(316), 12,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      anon_sym_LPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5078] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(24), 1,
      sym_connection,
    STATE(113), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
    ACTIONS(432), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5102] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5119] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(440), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5136] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5153] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(438), 1,
      ts_builtin_sym_end,
    ACTIONS(440), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5172] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5189] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(491), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5206] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(498), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5223] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(447), 11,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5240] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(522), 1,
      anon_sym_DQUOTE,
    ACTIONS(524), 1,
      aux_sym__label_double_quoted_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    STATE(142), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5266] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(534), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(537), 1,
      anon_sym_DOLLAR,
    ACTIONS(540), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    ACTIONS(532), 2,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(140), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5292] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    ACTIONS(543), 1,
      anon_sym_DQUOTE,
    ACTIONS(545), 1,
      aux_sym__label_double_quoted_token1,
    STATE(143), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5318] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(549), 1,
      aux_sym__label_double_quoted_token1,
    ACTIONS(552), 1,
      anon_sym_DOLLAR,
    ACTIONS(555), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(558), 1,
      anon_sym_BSLASH,
    STATE(142), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5344] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(524), 1,
      aux_sym__label_double_quoted_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    ACTIONS(561), 1,
      anon_sym_DQUOTE,
    STATE(142), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5370] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(216), 1,
      anon_sym_DOLLAR,
    ACTIONS(218), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(222), 1,
      anon_sym_BSLASH,
    ACTIONS(563), 1,
      aux_sym__label_token_token1,
    STATE(155), 1,
      aux_sym__label_literal_repeat1,
    STATE(61), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5396] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(362), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(565), 1,
      aux_sym__label_token_token1,
    ACTIONS(567), 1,
      anon_sym_DOLLAR,
    ACTIONS(569), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(571), 1,
      anon_sym_BSLASH,
    STATE(159), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5422] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(377), 4,
      aux_sym_label_constraint_token2,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
    ACTIONS(374), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [5440] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      anon_sym_DQUOTE,
    ACTIONS(575), 1,
      aux_sym__label_double_quoted_token1,
    STATE(149), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5466] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    ACTIONS(577), 1,
      anon_sym_DQUOTE,
    ACTIONS(579), 1,
      aux_sym__label_double_quoted_token1,
    STATE(139), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5492] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(524), 1,
      aux_sym__label_double_quoted_token1,
    ACTIONS(526), 1,
      anon_sym_DOLLAR,
    ACTIONS(528), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(530), 1,
      anon_sym_BSLASH,
    ACTIONS(581), 1,
      anon_sym_DQUOTE,
    STATE(142), 5,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
      aux_sym__label_double_quoted_repeat1,
  [5518] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(266), 1,
      anon_sym_SQUOTE,
    ACTIONS(268), 1,
      anon_sym_DQUOTE2,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(262), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(583), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(125), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(261), 2,
      sym__single_quoted,
      sym__double_quoted,
  [5546] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 10,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
  [5562] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(298), 1,
      anon_sym_SQUOTE,
    ACTIONS(300), 1,
      anon_sym_DQUOTE2,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    STATE(282), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(585), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(56), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(129), 2,
      sym__single_quoted,
      sym__double_quoted,
  [5590] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(440), 10,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_COLON,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5606] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(589), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(591), 1,
      anon_sym_DOLLAR,
    ACTIONS(593), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    ACTIONS(587), 2,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(140), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5632] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(595), 1,
      aux_sym__label_token_token1,
    ACTIONS(598), 1,
      anon_sym_DOLLAR,
    ACTIONS(601), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(604), 1,
      anon_sym_BSLASH,
    STATE(155), 1,
      aux_sym__label_literal_repeat1,
    STATE(145), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5658] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(27), 1,
      anon_sym_SQUOTE,
    ACTIONS(29), 1,
      anon_sym_DQUOTE2,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    STATE(289), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(607), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(50), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(98), 2,
      sym__single_quoted,
      sym__double_quoted,
  [5686] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(250), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(254), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym__label_token_token1,
    STATE(155), 1,
      aux_sym__label_literal_repeat1,
    STATE(72), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5712] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(105), 1,
      anon_sym_DQUOTE2,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(293), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(611), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(47), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(91), 2,
      sym__single_quoted,
      sym__double_quoted,
  [5740] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(382), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(613), 1,
      aux_sym__label_token_token1,
    ACTIONS(616), 1,
      anon_sym_DOLLAR,
    ACTIONS(619), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(622), 1,
      anon_sym_BSLASH,
    STATE(159), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5766] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(184), 1,
      anon_sym_DOLLAR,
    ACTIONS(186), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(625), 1,
      aux_sym__label_token_token1,
    STATE(155), 1,
      aux_sym__label_literal_repeat1,
    STATE(69), 5,
      aux_sym__label_token,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      sym_escape,
  [5792] = 8,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(282), 1,
      anon_sym_SQUOTE,
    ACTIONS(284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(250), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(627), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(173), 2,
      aux_sym__ident_base,
      sym_escape,
    STATE(498), 2,
      sym__single_quoted,
      sym__double_quoted,
  [5820] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(589), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(591), 1,
      anon_sym_DOLLAR,
    ACTIONS(593), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(459), 1,
      sym_label_constraint,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    STATE(154), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5845] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(589), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(591), 1,
      anon_sym_DOLLAR,
    ACTIONS(593), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(437), 1,
      sym_label_constraint,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    STATE(154), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5870] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(589), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(591), 1,
      anon_sym_DOLLAR,
    ACTIONS(593), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    STATE(490), 1,
      sym_label_constraint,
    STATE(154), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5895] = 7,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(589), 1,
      aux_sym_label_constraint_token1,
    ACTIONS(591), 1,
      anon_sym_DOLLAR,
    ACTIONS(593), 1,
      anon_sym_DOT_DOT_DOT_DOLLAR,
    STATE(436), 1,
      sym_label_constraint,
    STATE(483), 1,
      aux_sym_label_constraint_repeat1,
    STATE(154), 4,
      sym__variable,
      sym_variable,
      sym_spread_variable,
      aux_sym_label_constraint_repeat2,
  [5920] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(631), 1,
      anon_sym_COLON,
    STATE(249), 1,
      sym__colon_block,
    ACTIONS(629), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5938] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(348), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
    ACTIONS(633), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(170), 2,
      aux_sym__ident_base,
      sym_escape,
  [5960] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(635), 1,
      ts_builtin_sym_end,
    ACTIONS(637), 1,
      anon_sym_COLON,
    STATE(247), 1,
      sym__colon_block,
    ACTIONS(629), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [5980] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(162), 1,
      anon_sym_LBRACE,
    ACTIONS(639), 1,
      ts_builtin_sym_end,
    STATE(288), 1,
      sym_block,
    ACTIONS(641), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6000] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(646), 1,
      anon_sym_BSLASH,
    ACTIONS(643), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(170), 2,
      aux_sym__ident_base,
      sym_escape,
    ACTIONS(324), 3,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [6020] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(338), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
    ACTIONS(633), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(170), 2,
      aux_sym__ident_base,
      sym_escape,
  [6042] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(194), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_block,
    ACTIONS(641), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6060] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(316), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
    ACTIONS(633), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(170), 2,
      aux_sym__ident_base,
      sym_escape,
  [6082] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(651), 1,
      anon_sym_COLON2,
    ACTIONS(649), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6097] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(653), 1,
      ts_builtin_sym_end,
    ACTIONS(655), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6112] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(657), 1,
      ts_builtin_sym_end,
    ACTIONS(659), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6127] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(661), 1,
      ts_builtin_sym_end,
    ACTIONS(663), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6142] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(665), 1,
      ts_builtin_sym_end,
    ACTIONS(667), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6157] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(669), 1,
      ts_builtin_sym_end,
    ACTIONS(671), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6172] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(673), 1,
      anon_sym_COLON,
    STATE(317), 1,
      sym__colon_block,
    ACTIONS(629), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6189] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(432), 1,
      anon_sym_RPAREN,
    STATE(22), 1,
      sym_connection,
    STATE(184), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6208] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(675), 1,
      anon_sym_DOT,
    STATE(185), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(456), 5,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6225] = 6,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(677), 1,
      ts_builtin_sym_end,
    ACTIONS(679), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(427), 1,
      sym_block_comment,
    ACTIONS(683), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6246] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(436), 1,
      anon_sym_RPAREN,
    STATE(22), 1,
      sym_connection,
    STATE(187), 1,
      aux_sym__expr_repeat1,
    ACTIONS(434), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6265] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(675), 1,
      anon_sym_DOT,
    STATE(188), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(462), 5,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6282] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(226), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_block,
    ACTIONS(641), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6299] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(440), 1,
      anon_sym_RPAREN,
    STATE(22), 1,
      sym_connection,
    STATE(187), 1,
      aux_sym__expr_repeat1,
    ACTIONS(442), 4,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6318] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(685), 1,
      anon_sym_DOT,
    STATE(188), 1,
      aux_sym_identifier_chain_repeat1,
    ACTIONS(447), 5,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [6335] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(688), 1,
      ts_builtin_sym_end,
    ACTIONS(690), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6350] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(692), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(428), 1,
      sym_block_comment,
    ACTIONS(683), 4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6369] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(696), 1,
      ts_builtin_sym_end,
    ACTIONS(698), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6384] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(700), 1,
      ts_builtin_sym_end,
    ACTIONS(702), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6399] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(704), 1,
      ts_builtin_sym_end,
    ACTIONS(708), 1,
      anon_sym_COLON2,
    ACTIONS(706), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6416] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(690), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6429] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(698), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6442] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(702), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6455] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(710), 1,
      anon_sym_COLON2,
    ACTIONS(706), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6470] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(712), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6483] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(714), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6496] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(716), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6509] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(718), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6522] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(720), 1,
      ts_builtin_sym_end,
    ACTIONS(722), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6537] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(724), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6550] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(726), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6563] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(728), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6576] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(730), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6589] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(732), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6602] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(734), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6615] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(736), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6628] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(738), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6641] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(722), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6654] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(655), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6667] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(659), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6680] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(663), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6693] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(667), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6706] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(671), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6719] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(483), 1,
      ts_builtin_sym_end,
    ACTIONS(477), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6734] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(485), 1,
      ts_builtin_sym_end,
    ACTIONS(479), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6749] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(740), 1,
      ts_builtin_sym_end,
    ACTIONS(712), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6764] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(742), 1,
      ts_builtin_sym_end,
    ACTIONS(744), 1,
      anon_sym_COLON2,
    ACTIONS(649), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6781] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(746), 1,
      ts_builtin_sym_end,
    ACTIONS(714), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6796] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(748), 1,
      ts_builtin_sym_end,
    ACTIONS(716), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6811] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(750), 1,
      ts_builtin_sym_end,
    ACTIONS(718), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6826] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6839] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6852] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(752), 1,
      ts_builtin_sym_end,
    ACTIONS(754), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6867] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(756), 1,
      ts_builtin_sym_end,
    ACTIONS(724), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6882] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(758), 1,
      ts_builtin_sym_end,
    ACTIONS(726), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6897] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(760), 1,
      ts_builtin_sym_end,
    ACTIONS(728), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6912] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(762), 1,
      ts_builtin_sym_end,
    ACTIONS(730), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6927] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(764), 1,
      ts_builtin_sym_end,
    ACTIONS(732), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6942] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(766), 1,
      ts_builtin_sym_end,
    ACTIONS(734), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6957] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(768), 1,
      ts_builtin_sym_end,
    ACTIONS(736), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6972] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(770), 1,
      ts_builtin_sym_end,
    ACTIONS(738), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [6987] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(754), 7,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7000] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(772), 1,
      ts_builtin_sym_end,
    ACTIONS(774), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7014] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(722), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7026] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(655), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7038] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(659), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7050] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(663), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7062] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(667), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7074] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(671), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7086] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(583), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(125), 2,
      aux_sym__ident_base,
      sym_escape,
  [7104] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(374), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
    ACTIONS(377), 4,
      aux_sym_label_constraint_token2,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
  [7118] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7130] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(428), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7142] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(776), 1,
      ts_builtin_sym_end,
    ACTIONS(778), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7156] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(627), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(173), 2,
      aux_sym__ident_base,
      sym_escape,
  [7174] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(778), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7186] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(780), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(167), 2,
      aux_sym__ident_base,
      sym_escape,
  [7204] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(641), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7216] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(639), 1,
      ts_builtin_sym_end,
    ACTIONS(641), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7230] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(782), 1,
      ts_builtin_sym_end,
    ACTIONS(784), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7244] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(607), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(50), 2,
      aux_sym__ident_base,
      sym_escape,
  [7262] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(286), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(633), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(170), 2,
      aux_sym__ident_base,
      sym_escape,
  [7280] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(786), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7292] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(788), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(443), 1,
      sym_block_comment,
    ACTIONS(683), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7310] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(792), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7322] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(518), 1,
      ts_builtin_sym_end,
    ACTIONS(502), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7336] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(794), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7348] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(316), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7360] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(270), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(796), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(126), 2,
      aux_sym__ident_base,
      sym_escape,
  [7378] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7390] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(472), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7402] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(690), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7414] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(798), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7426] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(698), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7438] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(702), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7450] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(447), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7462] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(800), 1,
      ts_builtin_sym_end,
    ACTIONS(802), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7476] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(774), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7488] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(804), 1,
      anon_sym_COLON2,
    ACTIONS(706), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7502] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(498), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7514] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(338), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7526] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(802), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7538] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(738), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7550] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(520), 1,
      ts_builtin_sym_end,
    ACTIONS(504), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7564] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(806), 1,
      ts_builtin_sym_end,
    ACTIONS(786), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7578] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(585), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(56), 2,
      aux_sym__ident_base,
      sym_escape,
  [7596] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(808), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7608] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(712), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7620] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(302), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(810), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(59), 2,
      aux_sym__ident_base,
      sym_escape,
  [7638] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(812), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7650] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(816), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(814), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      aux_sym_label_constraint_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
  [7664] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7676] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7688] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(818), 1,
      ts_builtin_sym_end,
    ACTIONS(808), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7702] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(820), 1,
      ts_builtin_sym_end,
    ACTIONS(792), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7716] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(31), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(822), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(53), 2,
      aux_sym__ident_base,
      sym_escape,
  [7734] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(611), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(47), 2,
      aux_sym__ident_base,
      sym_escape,
  [7752] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 6,
      aux_sym_label_constraint_token2,
      anon_sym_DOT,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_RBRACE2,
      anon_sym_BSLASH,
  [7764] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(824), 1,
      ts_builtin_sym_end,
    ACTIONS(794), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7778] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(107), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(826), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(55), 2,
      aux_sym__ident_base,
      sym_escape,
  [7796] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(828), 1,
      anon_sym_COLON2,
    ACTIONS(649), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7810] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(714), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7822] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7834] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7846] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(716), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7858] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(718), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7870] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(754), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7882] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(724), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7894] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(833), 1,
      anon_sym_BSLASH,
    STATE(302), 1,
      aux_sym_identifier_repeat1,
    ACTIONS(830), 2,
      aux_sym__ident_base_token1,
      sym_glob,
    STATE(255), 2,
      aux_sym__ident_base,
      sym_escape,
  [7912] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(726), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7924] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(816), 1,
      aux_sym_label_constraint_token2,
    ACTIONS(532), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      aux_sym_label_constraint_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
  [7938] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(836), 1,
      ts_builtin_sym_end,
    ACTIONS(812), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7952] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(728), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7964] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(838), 1,
      ts_builtin_sym_end,
    ACTIONS(798), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [7978] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(491), 6,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
      anon_sym_DOT,
  [7990] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(730), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8002] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(732), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8014] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(734), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8026] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(736), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8038] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(784), 6,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8050] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(840), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8065] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(844), 5,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_BSLASH,
  [8076] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(846), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(401), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(848), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8091] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(778), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8102] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(850), 1,
      ts_builtin_sym_end,
    STATE(46), 1,
      sym__eol,
    ACTIONS(852), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8117] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(786), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8128] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(854), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8143] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(808), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8154] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(794), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8165] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      aux_sym_label_constraint_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
  [8176] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 5,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      aux_sym_label_constraint_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
  [8187] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(774), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8198] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 5,
      anon_sym_DQUOTE,
      aux_sym__label_double_quoted_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8209] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 5,
      anon_sym_DQUOTE,
      aux_sym__label_double_quoted_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8220] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(858), 1,
      anon_sym_SQUOTE,
    ACTIONS(860), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    STATE(333), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8237] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(641), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8248] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 5,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8259] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 5,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8270] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(150), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8285] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(864), 1,
      anon_sym_SQUOTE,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8302] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(35), 1,
      ts_builtin_sym_end,
    STATE(46), 1,
      sym__eol,
    ACTIONS(852), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8317] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 5,
      anon_sym_DQUOTE,
      aux_sym__label_double_quoted_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8328] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(868), 1,
      anon_sym_DQUOTE2,
    ACTIONS(870), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    STATE(360), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8345] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 5,
      aux_sym_label_constraint_token2,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [8356] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(874), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(342), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(876), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8371] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(878), 1,
      anon_sym_SQUOTE,
    ACTIONS(880), 1,
      aux_sym__single_quoted_token1,
    STATE(343), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8388] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(882), 1,
      anon_sym_DQUOTE2,
    ACTIONS(884), 1,
      aux_sym__double_quoted_token1,
    STATE(344), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8405] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(886), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [8416] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(888), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8431] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(890), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8448] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(892), 1,
      anon_sym_DQUOTE2,
    ACTIONS(894), 1,
      aux_sym__double_quoted_token1,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8465] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(502), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8476] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(504), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8487] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(152), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8502] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(792), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8513] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(896), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8528] = 6,
    ACTIONS(898), 1,
      anon_sym_RPAREN,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(605), 1,
      sym_returns,
  [8547] = 6,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(904), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(570), 1,
      sym_returns,
  [8566] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(440), 5,
      anon_sym_RPAREN,
      aux_sym_connection_token1,
      aux_sym_connection_token2,
      aux_sym_connection_token3,
      aux_sym_connection_token4,
  [8577] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(906), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(357), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(908), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8592] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(910), 1,
      anon_sym_SQUOTE,
    ACTIONS(912), 1,
      aux_sym__single_quoted_token1,
    STATE(358), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8609] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(914), 1,
      anon_sym_DQUOTE2,
    ACTIONS(916), 1,
      aux_sym__double_quoted_token1,
    STATE(359), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8626] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(918), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [8637] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(920), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8652] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(922), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8669] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(894), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(924), 1,
      anon_sym_DQUOTE2,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8686] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(894), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(926), 1,
      anon_sym_DQUOTE2,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8703] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(928), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(930), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8718] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(784), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8729] = 6,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(933), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(545), 1,
      sym_returns,
  [8748] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(935), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [8763] = 6,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(937), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(576), 1,
      sym_returns,
  [8782] = 6,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(577), 1,
      sym_returns,
  [8801] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(941), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(371), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(943), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8816] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      aux_sym__single_quoted_token1,
    STATE(372), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8833] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(949), 1,
      anon_sym_DQUOTE2,
    ACTIONS(951), 1,
      aux_sym__double_quoted_token1,
    STATE(373), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8850] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(953), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [8861] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(955), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8876] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(957), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8893] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(894), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(959), 1,
      anon_sym_DQUOTE2,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8910] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(961), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(378), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(963), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8925] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(965), 1,
      anon_sym_SQUOTE,
    ACTIONS(967), 1,
      aux_sym__single_quoted_token1,
    STATE(379), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [8942] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(969), 1,
      anon_sym_DQUOTE2,
    ACTIONS(971), 1,
      aux_sym__double_quoted_token1,
    STATE(380), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [8959] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(973), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [8970] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(975), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [8985] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(977), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9002] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(872), 1,
      anon_sym_BSLASH,
    ACTIONS(894), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(979), 1,
      anon_sym_DQUOTE2,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [9019] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(981), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(314), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(983), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [9034] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(985), 1,
      anon_sym_SQUOTE,
    ACTIONS(987), 1,
      aux_sym__single_quoted_token1,
    STATE(385), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9051] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(989), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9062] = 6,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(991), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(531), 1,
      sym_arguments,
    STATE(539), 1,
      sym_returns,
  [9081] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(993), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9098] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(995), 1,
      anon_sym_SQUOTE,
    ACTIONS(997), 1,
      aux_sym__single_quoted_token1,
    STATE(388), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9115] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(999), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9126] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(1001), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9143] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      aux_sym__single_quoted_token1,
    STATE(391), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9160] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1007), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9171] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(862), 1,
      anon_sym_BSLASH,
    ACTIONS(866), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(1009), 1,
      anon_sym_SQUOTE,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9188] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1011), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9199] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1013), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9210] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1015), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9221] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1017), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9232] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      aux_sym__single_quoted_token1,
    ACTIONS(1024), 1,
      anon_sym_BSLASH,
    STATE(396), 2,
      sym_escape,
      aux_sym__single_quoted_repeat1,
  [9249] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1027), 5,
      aux_sym_escape_token1,
      aux_sym_escape_token2,
      aux_sym_escape_token3,
      aux_sym_escape_token4,
      aux_sym_escape_token5,
  [9260] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(798), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9271] = 5,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1029), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1031), 1,
      aux_sym__double_quoted_token1,
    ACTIONS(1034), 1,
      anon_sym_BSLASH,
    STATE(399), 2,
      sym_escape,
      aux_sym__double_quoted_repeat1,
  [9288] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(802), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9299] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1037), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(361), 1,
      aux_sym_block_comment_repeat1,
    ACTIONS(842), 3,
      aux_sym_block_comment_token1,
      aux_sym_block_comment_token2,
      aux_sym_block_comment_token3,
  [9314] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(812), 5,
      sym_comment,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9325] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(156), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9340] = 5,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1039), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(532), 1,
      sym_arguments,
  [9356] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(812), 4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9366] = 4,
    ACTIONS(1043), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(592), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9380] = 4,
    ACTIONS(1047), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(596), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9394] = 5,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1049), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(573), 1,
      sym_arguments,
  [9410] = 4,
    ACTIONS(1053), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(544), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9424] = 4,
    ACTIONS(1055), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(546), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9438] = 4,
    ACTIONS(1057), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(572), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9452] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(46), 1,
      sym__eol,
    ACTIONS(852), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9464] = 4,
    ACTIONS(1059), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(591), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9478] = 4,
    ACTIONS(1061), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(593), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9492] = 4,
    ACTIONS(1063), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(602), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9506] = 4,
    ACTIONS(1065), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(586), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9520] = 4,
    ACTIONS(1067), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(599), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9534] = 5,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    STATE(463), 1,
      sym_argument_name,
    STATE(565), 1,
      sym_arguments,
  [9550] = 4,
    ACTIONS(1071), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(584), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9564] = 4,
    ACTIONS(1073), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(551), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9578] = 4,
    ACTIONS(1075), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(556), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9592] = 4,
    ACTIONS(1077), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(562), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9606] = 4,
    ACTIONS(1079), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(567), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9620] = 4,
    ACTIONS(1081), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(462), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(568), 1,
      sym_codeblock_content,
    ACTIONS(1041), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9634] = 4,
    ACTIONS(1083), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(450), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(575), 1,
      sym_codeblock_content,
    ACTIONS(1045), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9648] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1085), 4,
      aux_sym__label_token_token1,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT_DOLLAR,
      anon_sym_BSLASH,
  [9658] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1087), 1,
      ts_builtin_sym_end,
    ACTIONS(1089), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9670] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1089), 4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9680] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(836), 1,
      ts_builtin_sym_end,
    ACTIONS(812), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9692] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(48), 1,
      sym__eol,
    ACTIONS(856), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9704] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(808), 4,
      anon_sym_RBRACE,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9714] = 4,
    ACTIONS(1091), 1,
      anon_sym_PIPE_PIPE,
    STATE(461), 1,
      aux_sym_codeblock_content_repeat1,
    STATE(590), 1,
      sym_codeblock_content,
    ACTIONS(1051), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9728] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(818), 1,
      ts_builtin_sym_end,
    ACTIONS(808), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9740] = 3,
    ACTIONS(1096), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(434), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1093), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9751] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1098), 1,
      anon_sym_COMMA,
    ACTIONS(1100), 1,
      sym_argument_type,
    STATE(453), 1,
      aux_sym_arguments_repeat1,
  [9764] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1104), 1,
      anon_sym_RBRACK,
    STATE(441), 1,
      aux_sym__label_constraints_repeat1,
  [9777] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1106), 1,
      anon_sym_RBRACK,
    STATE(438), 1,
      aux_sym__label_constraints_repeat1,
  [9790] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1108), 1,
      anon_sym_RBRACK,
    STATE(465), 1,
      aux_sym__label_constraints_repeat1,
  [9803] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1110), 1,
      anon_sym_RBRACK,
    STATE(465), 1,
      aux_sym__label_constraints_repeat1,
  [9816] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 3,
      anon_sym_DQUOTE2,
      aux_sym__double_quoted_token1,
      anon_sym_BSLASH,
  [9825] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1112), 1,
      anon_sym_RBRACK,
    STATE(465), 1,
      aux_sym__label_constraints_repeat1,
  [9838] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1114), 3,
      aux_sym__ident_base_token1,
      sym_glob,
      anon_sym_BSLASH,
  [9847] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1089), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9856] = 4,
    ACTIONS(456), 1,
      anon_sym_RBRACE2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1116), 1,
      anon_sym_DOT,
    STATE(458), 1,
      aux_sym_identifier_chain_repeat1,
  [9869] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1118), 1,
      anon_sym_RPAREN,
    ACTIONS(1120), 1,
      anon_sym_COMMA,
    STATE(445), 1,
      aux_sym_arguments_repeat2,
  [9882] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1123), 1,
      anon_sym_RPAREN,
    ACTIONS(1125), 1,
      anon_sym_COMMA,
    STATE(445), 1,
      aux_sym_arguments_repeat2,
  [9895] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(808), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9904] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1125), 1,
      anon_sym_COMMA,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    STATE(455), 1,
      aux_sym_arguments_repeat2,
  [9917] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1098), 1,
      anon_sym_COMMA,
    ACTIONS(1129), 1,
      sym_argument_type,
    STATE(457), 1,
      aux_sym_arguments_repeat1,
  [9930] = 3,
    ACTIONS(1133), 1,
      aux_sym__label_codeblock_fallback_token2,
    STATE(434), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1131), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [9941] = 4,
    ACTIONS(447), 1,
      anon_sym_RBRACE2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1135), 1,
      anon_sym_DOT,
    STATE(451), 1,
      aux_sym_identifier_chain_repeat1,
  [9954] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(812), 3,
      aux_sym__eol_token1,
      anon_sym_SEMI2,
      anon_sym_NULL,
  [9963] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1098), 1,
      anon_sym_COMMA,
    ACTIONS(1138), 1,
      sym_argument_type,
    STATE(457), 1,
      aux_sym_arguments_repeat1,
  [9976] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(372), 3,
      anon_sym_SQUOTE,
      aux_sym__single_quoted_token1,
      anon_sym_BSLASH,
  [9985] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1125), 1,
      anon_sym_COMMA,
    ACTIONS(1140), 1,
      anon_sym_RPAREN,
    STATE(445), 1,
      aux_sym_arguments_repeat2,
  [9998] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1125), 1,
      anon_sym_COMMA,
    ACTIONS(1140), 1,
      anon_sym_RPAREN,
    STATE(446), 1,
      aux_sym_arguments_repeat2,
  [10011] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1142), 1,
      anon_sym_COMMA,
    ACTIONS(1145), 1,
      sym_argument_type,
    STATE(457), 1,
      aux_sym_arguments_repeat1,
  [10024] = 4,
    ACTIONS(462), 1,
      anon_sym_RBRACE2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1116), 1,
      anon_sym_DOT,
    STATE(451), 1,
      aux_sym_identifier_chain_repeat1,
  [10037] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    ACTIONS(1147), 1,
      anon_sym_RBRACK,
    STATE(439), 1,
      aux_sym__label_constraints_repeat1,
  [10050] = 3,
    ACTIONS(1096), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1149), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [10061] = 3,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1152), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [10072] = 3,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(464), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1154), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [10083] = 4,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1098), 1,
      anon_sym_COMMA,
    ACTIONS(1156), 1,
      sym_argument_type,
    STATE(449), 1,
      aux_sym_arguments_repeat1,
  [10096] = 3,
    ACTIONS(1096), 1,
      anon_sym_PIPE_PIPE_PIPE,
    STATE(464), 1,
      aux_sym_codeblock_content_repeat1,
    ACTIONS(1158), 2,
      aux_sym__label_codeblock_single_token1,
      aux_sym_codeblock_content_token1,
  [10107] = 4,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1161), 1,
      anon_sym_SEMI,
    ACTIONS(1164), 1,
      anon_sym_RBRACK,
    STATE(465), 1,
      aux_sym__label_constraints_repeat1,
  [10120] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1168), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(619), 1,
      sym_codeblock_language,
  [10130] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1170), 1,
      aux_sym_label_constraint_token1,
    STATE(467), 1,
      aux_sym_label_constraint_repeat1,
  [10140] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1173), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1175), 1,
      anon_sym_BQUOTE_PIPE,
  [10150] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1177), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [10158] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1179), 1,
      anon_sym_LBRACK2,
    STATE(273), 1,
      sym_connection_identifier,
  [10168] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1181), 1,
      anon_sym_LBRACK2,
    STATE(473), 1,
      sym_connection_identifier,
  [10178] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1183), 1,
      anon_sym_LBRACK2,
    STATE(105), 1,
      sym_connection_identifier,
  [10188] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(498), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10196] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1185), 1,
      anon_sym_PIPE,
    ACTIONS(1187), 1,
      aux_sym__label_codeblock_single_token2,
  [10206] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1189), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1191), 1,
      anon_sym_BQUOTE_PIPE,
  [10216] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1193), 1,
      anon_sym_PIPE,
    ACTIONS(1195), 1,
      aux_sym__label_codeblock_single_token2,
  [10226] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1197), 1,
      anon_sym_PIPE,
    ACTIONS(1199), 1,
      aux_sym__label_codeblock_single_token2,
  [10236] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1201), 2,
      anon_sym_COMMA,
      sym_argument_type,
  [10244] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1203), 1,
      anon_sym_PIPE,
    ACTIONS(1205), 1,
      aux_sym__label_codeblock_single_token2,
  [10254] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1207), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1209), 1,
      anon_sym_BQUOTE_PIPE,
  [10264] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1211), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1213), 1,
      anon_sym_BQUOTE_PIPE,
  [10274] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(479), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10282] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1215), 1,
      aux_sym_label_constraint_token1,
    STATE(467), 1,
      aux_sym_label_constraint_repeat1,
  [10292] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1217), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1219), 1,
      anon_sym_BQUOTE_PIPE,
  [10302] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(472), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10310] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1221), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(628), 1,
      sym_codeblock_language,
  [10320] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1223), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(629), 1,
      sym_codeblock_language,
  [10330] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1225), 2,
      aux_sym_connection_identifier_token1,
      sym_glob,
  [10338] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1227), 1,
      anon_sym_LBRACK2,
    STATE(137), 1,
      sym_connection_identifier,
  [10348] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1164), 2,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [10356] = 3,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(501), 1,
      sym_argument_name,
  [10366] = 3,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1229), 1,
      anon_sym_LBRACK2,
    STATE(112), 1,
      sym_connection_identifier,
  [10376] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(338), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10384] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1231), 1,
      anon_sym_PIPE,
    ACTIONS(1233), 1,
      aux_sym__label_codeblock_single_token2,
  [10394] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1235), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [10402] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1237), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(630), 1,
      sym_codeblock_language,
  [10412] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(477), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10420] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(316), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10428] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1239), 1,
      anon_sym_PIPE,
    ACTIONS(1241), 1,
      aux_sym__label_codeblock_single_token2,
  [10438] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(428), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10446] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1145), 2,
      anon_sym_COMMA,
      sym_argument_type,
  [10454] = 3,
    ACTIONS(900), 1,
      aux_sym_argument_name_token1,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(435), 1,
      sym_argument_name,
  [10464] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1243), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(631), 1,
      sym_codeblock_language,
  [10474] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1245), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(624), 1,
      sym_codeblock_language,
  [10484] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1247), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(625), 1,
      sym_codeblock_language,
  [10494] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1249), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(626), 1,
      sym_codeblock_language,
  [10504] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1251), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(627), 1,
      sym_codeblock_language,
  [10514] = 3,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1253), 1,
      aux_sym__label_codeblock_ticks_token1,
    ACTIONS(1255), 1,
      anon_sym_BQUOTE_PIPE,
  [10524] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1257), 2,
      aux_sym_connection_identifier_token1,
      sym_glob,
  [10532] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1259), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(618), 1,
      sym_codeblock_language,
  [10542] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1261), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(620), 1,
      sym_codeblock_language,
  [10552] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1263), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(621), 1,
      sym_codeblock_language,
  [10562] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1265), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(622), 1,
      sym_codeblock_language,
  [10572] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1267), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(623), 1,
      sym_codeblock_language,
  [10582] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1269), 2,
      aux_sym_connection_identifier_token1,
      sym_glob,
  [10590] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(491), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10598] = 3,
    ACTIONS(1166), 1,
      aux_sym_argument_name_token1,
    ACTIONS(1271), 1,
      aux_sym__label_codeblock_single_token1,
    STATE(617), 1,
      sym_codeblock_language,
  [10608] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1273), 2,
      aux_sym_connection_identifier_token1,
      sym_glob,
  [10616] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1275), 2,
      aux_sym_connection_identifier_token1,
      sym_glob,
  [10624] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(447), 2,
      anon_sym_DOT,
      anon_sym_RBRACE2,
  [10632] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1277), 1,
      anon_sym_RBRACE2,
  [10639] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1279), 1,
      anon_sym_LBRACE2,
  [10646] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1281), 1,
      anon_sym_RBRACE2,
  [10653] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1283), 1,
      anon_sym_RBRACE2,
  [10660] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1285), 1,
      anon_sym_RBRACK2,
  [10667] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1287), 1,
      anon_sym_RPAREN,
  [10674] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1289), 1,
      anon_sym_RBRACK2,
  [10681] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1291), 1,
      anon_sym_LPAREN,
  [10688] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1293), 1,
      anon_sym_LBRACE2,
  [10695] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(816), 1,
      aux_sym_label_constraint_token2,
  [10702] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1295), 1,
      anon_sym_RPAREN,
  [10709] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1297), 1,
      anon_sym_RPAREN,
  [10716] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
  [10723] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1301), 1,
      anon_sym_RBRACE2,
  [10730] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1303), 1,
      anon_sym_RBRACE2,
  [10737] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1305), 1,
      anon_sym_RBRACK2,
  [10744] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1307), 1,
      anon_sym_RBRACK2,
  [10751] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1231), 1,
      anon_sym_PIPE,
  [10758] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1309), 1,
      anon_sym_RPAREN,
  [10765] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1311), 1,
      anon_sym_RBRACK2,
  [10772] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1197), 1,
      anon_sym_PIPE,
  [10779] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1313), 1,
      anon_sym_RBRACE2,
  [10786] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1315), 1,
      anon_sym_RBRACE2,
  [10793] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1059), 1,
      anon_sym_PIPE_PIPE,
  [10800] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(991), 1,
      anon_sym_RPAREN,
  [10807] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1061), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [10814] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1317), 1,
      anon_sym_RBRACE2,
  [10821] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1319), 1,
      anon_sym_RBRACE2,
  [10828] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1321), 1,
      anon_sym_RBRACE2,
  [10835] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1323), 1,
      ts_builtin_sym_end,
  [10842] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1079), 1,
      anon_sym_PIPE_PIPE,
  [10849] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1325), 1,
      anon_sym_RBRACE2,
  [10856] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1239), 1,
      anon_sym_PIPE,
  [10863] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1327), 1,
      anon_sym_RBRACE2,
  [10870] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1329), 1,
      anon_sym_RBRACE2,
  [10877] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1081), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [10884] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1331), 1,
      anon_sym_RBRACE2,
  [10891] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1255), 1,
      anon_sym_BQUOTE_PIPE,
  [10898] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1333), 1,
      anon_sym_RPAREN,
  [10905] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1209), 1,
      anon_sym_BQUOTE_PIPE,
  [10912] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1335), 1,
      anon_sym_RBRACE2,
  [10919] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1083), 1,
      aux_sym__label_codeblock_fallback_token2,
  [10926] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1337), 1,
      anon_sym_RBRACE2,
  [10933] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1213), 1,
      anon_sym_BQUOTE_PIPE,
  [10940] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1339), 1,
      anon_sym_RPAREN,
  [10947] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
  [10954] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1343), 1,
      anon_sym_PIPE_PIPE,
  [10961] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1345), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [10968] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
  [10975] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1349), 1,
      anon_sym_RPAREN,
  [10982] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1351), 1,
      anon_sym_RPAREN,
  [10989] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1063), 1,
      aux_sym__label_codeblock_fallback_token2,
  [10996] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1353), 1,
      anon_sym_RPAREN,
  [11003] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1355), 1,
      anon_sym_BQUOTE_PIPE,
  [11010] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1357), 1,
      aux_sym__label_codeblock_fallback_token2,
  [11017] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
  [11024] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1359), 1,
      anon_sym_RPAREN,
  [11031] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1361), 1,
      anon_sym_RBRACE2,
  [11038] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1363), 1,
      anon_sym_LPAREN,
  [11045] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1365), 1,
      anon_sym_LPAREN,
  [11052] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1367), 1,
      anon_sym_RPAREN,
  [11059] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1369), 1,
      aux_sym_label_constraint_token1,
  [11066] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1371), 1,
      anon_sym_RBRACE2,
  [11073] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1047), 1,
      aux_sym__label_codeblock_fallback_token2,
  [11080] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1373), 1,
      anon_sym_RPAREN,
  [11087] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1091), 1,
      anon_sym_PIPE_PIPE,
  [11094] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1375), 1,
      anon_sym_PIPE,
  [11101] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1377), 1,
      anon_sym_LBRACE2,
  [11108] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
  [11115] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1381), 1,
      anon_sym_PIPE_PIPE,
  [11122] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
  [11129] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1385), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [11136] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1387), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [11143] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1389), 1,
      anon_sym_BQUOTE_PIPE,
  [11150] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE_PIPE,
  [11157] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1393), 1,
      aux_sym__label_codeblock_fallback_token2,
  [11164] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1395), 1,
      anon_sym_LBRACE2,
  [11171] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1397), 1,
      anon_sym_LBRACE2,
  [11178] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1043), 1,
      anon_sym_PIPE_PIPE_PIPE,
  [11185] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1399), 1,
      anon_sym_LBRACE2,
  [11192] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1401), 1,
      anon_sym_LBRACE2,
  [11199] = 2,
    ACTIONS(3), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1403), 1,
      aux_sym__label_codeblock_fallback_token2,
  [11206] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1405), 1,
      anon_sym_LBRACE2,
  [11213] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1407), 1,
      anon_sym_LBRACE2,
  [11220] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(904), 1,
      anon_sym_RPAREN,
  [11227] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1409), 1,
      anon_sym_LBRACE2,
  [11234] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1411), 1,
      anon_sym_LBRACE2,
  [11241] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1413), 1,
      anon_sym_LBRACE2,
  [11248] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1415), 1,
      anon_sym_LBRACE2,
  [11255] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1417), 1,
      anon_sym_LBRACE2,
  [11262] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1419), 1,
      anon_sym_LBRACE2,
  [11269] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1421), 1,
      anon_sym_LBRACE2,
  [11276] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACE2,
  [11283] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1425), 1,
      anon_sym_LBRACE2,
  [11290] = 2,
    ACTIONS(902), 1,
      aux_sym__label_codeblock_single_token1,
    ACTIONS(1427), 1,
      anon_sym_LPAREN,
  [11297] = 1,
    ACTIONS(1429), 1,
      aux_sym__label_codeblock_single_token1,
  [11301] = 1,
    ACTIONS(1431), 1,
      aux_sym__label_codeblock_single_token1,
  [11305] = 1,
    ACTIONS(1433), 1,
      aux_sym__label_codeblock_single_token1,
  [11309] = 1,
    ACTIONS(1435), 1,
      aux_sym__label_codeblock_single_token1,
  [11313] = 1,
    ACTIONS(1437), 1,
      aux_sym__label_codeblock_single_token1,
  [11317] = 1,
    ACTIONS(1439), 1,
      aux_sym__label_codeblock_single_token1,
  [11321] = 1,
    ACTIONS(1441), 1,
      aux_sym__label_codeblock_single_token1,
  [11325] = 1,
    ACTIONS(1443), 1,
      aux_sym__label_codeblock_single_token1,
  [11329] = 1,
    ACTIONS(1445), 1,
      aux_sym__label_codeblock_single_token1,
  [11333] = 1,
    ACTIONS(1447), 1,
      aux_sym__label_codeblock_single_token1,
  [11337] = 1,
    ACTIONS(1449), 1,
      aux_sym__label_codeblock_single_token1,
  [11341] = 1,
    ACTIONS(1451), 1,
      aux_sym__label_codeblock_single_token1,
  [11345] = 1,
    ACTIONS(1453), 1,
      aux_sym__label_codeblock_single_token1,
  [11349] = 1,
    ACTIONS(1455), 1,
      aux_sym__label_codeblock_single_token1,
  [11353] = 1,
    ACTIONS(1457), 1,
      aux_sym__label_codeblock_single_token1,
  [11357] = 1,
    ACTIONS(1459), 1,
      aux_sym__label_codeblock_single_token1,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 100,
  [SMALL_STATE(4)] = 200,
  [SMALL_STATE(5)] = 294,
  [SMALL_STATE(6)] = 388,
  [SMALL_STATE(7)] = 482,
  [SMALL_STATE(8)] = 576,
  [SMALL_STATE(9)] = 670,
  [SMALL_STATE(10)] = 764,
  [SMALL_STATE(11)] = 858,
  [SMALL_STATE(12)] = 943,
  [SMALL_STATE(13)] = 1028,
  [SMALL_STATE(14)] = 1113,
  [SMALL_STATE(15)] = 1175,
  [SMALL_STATE(16)] = 1237,
  [SMALL_STATE(17)] = 1299,
  [SMALL_STATE(18)] = 1361,
  [SMALL_STATE(19)] = 1423,
  [SMALL_STATE(20)] = 1482,
  [SMALL_STATE(21)] = 1541,
  [SMALL_STATE(22)] = 1600,
  [SMALL_STATE(23)] = 1659,
  [SMALL_STATE(24)] = 1718,
  [SMALL_STATE(25)] = 1777,
  [SMALL_STATE(26)] = 1836,
  [SMALL_STATE(27)] = 1895,
  [SMALL_STATE(28)] = 1954,
  [SMALL_STATE(29)] = 2013,
  [SMALL_STATE(30)] = 2072,
  [SMALL_STATE(31)] = 2131,
  [SMALL_STATE(32)] = 2190,
  [SMALL_STATE(33)] = 2249,
  [SMALL_STATE(34)] = 2308,
  [SMALL_STATE(35)] = 2367,
  [SMALL_STATE(36)] = 2426,
  [SMALL_STATE(37)] = 2485,
  [SMALL_STATE(38)] = 2544,
  [SMALL_STATE(39)] = 2603,
  [SMALL_STATE(40)] = 2662,
  [SMALL_STATE(41)] = 2721,
  [SMALL_STATE(42)] = 2776,
  [SMALL_STATE(43)] = 2831,
  [SMALL_STATE(44)] = 2886,
  [SMALL_STATE(45)] = 2941,
  [SMALL_STATE(46)] = 2996,
  [SMALL_STATE(47)] = 3026,
  [SMALL_STATE(48)] = 3059,
  [SMALL_STATE(49)] = 3084,
  [SMALL_STATE(50)] = 3117,
  [SMALL_STATE(51)] = 3152,
  [SMALL_STATE(52)] = 3187,
  [SMALL_STATE(53)] = 3218,
  [SMALL_STATE(54)] = 3253,
  [SMALL_STATE(55)] = 3286,
  [SMALL_STATE(56)] = 3319,
  [SMALL_STATE(57)] = 3351,
  [SMALL_STATE(58)] = 3381,
  [SMALL_STATE(59)] = 3413,
  [SMALL_STATE(60)] = 3445,
  [SMALL_STATE(61)] = 3482,
  [SMALL_STATE(62)] = 3517,
  [SMALL_STATE(63)] = 3542,
  [SMALL_STATE(64)] = 3567,
  [SMALL_STATE(65)] = 3594,
  [SMALL_STATE(66)] = 3629,
  [SMALL_STATE(67)] = 3662,
  [SMALL_STATE(68)] = 3685,
  [SMALL_STATE(69)] = 3720,
  [SMALL_STATE(70)] = 3757,
  [SMALL_STATE(71)] = 3791,
  [SMALL_STATE(72)] = 3815,
  [SMALL_STATE(73)] = 3849,
  [SMALL_STATE(74)] = 3871,
  [SMALL_STATE(75)] = 3903,
  [SMALL_STATE(76)] = 3924,
  [SMALL_STATE(77)] = 3945,
  [SMALL_STATE(78)] = 3972,
  [SMALL_STATE(79)] = 3997,
  [SMALL_STATE(80)] = 4022,
  [SMALL_STATE(81)] = 4049,
  [SMALL_STATE(82)] = 4074,
  [SMALL_STATE(83)] = 4099,
  [SMALL_STATE(84)] = 4118,
  [SMALL_STATE(85)] = 4143,
  [SMALL_STATE(86)] = 4166,
  [SMALL_STATE(87)] = 4185,
  [SMALL_STATE(88)] = 4204,
  [SMALL_STATE(89)] = 4227,
  [SMALL_STATE(90)] = 4254,
  [SMALL_STATE(91)] = 4277,
  [SMALL_STATE(92)] = 4296,
  [SMALL_STATE(93)] = 4315,
  [SMALL_STATE(94)] = 4338,
  [SMALL_STATE(95)] = 4357,
  [SMALL_STATE(96)] = 4376,
  [SMALL_STATE(97)] = 4401,
  [SMALL_STATE(98)] = 4422,
  [SMALL_STATE(99)] = 4443,
  [SMALL_STATE(100)] = 4464,
  [SMALL_STATE(101)] = 4485,
  [SMALL_STATE(102)] = 4506,
  [SMALL_STATE(103)] = 4524,
  [SMALL_STATE(104)] = 4542,
  [SMALL_STATE(105)] = 4564,
  [SMALL_STATE(106)] = 4584,
  [SMALL_STATE(107)] = 4602,
  [SMALL_STATE(108)] = 4624,
  [SMALL_STATE(109)] = 4642,
  [SMALL_STATE(110)] = 4660,
  [SMALL_STATE(111)] = 4678,
  [SMALL_STATE(112)] = 4696,
  [SMALL_STATE(113)] = 4714,
  [SMALL_STATE(114)] = 4738,
  [SMALL_STATE(115)] = 4758,
  [SMALL_STATE(116)] = 4780,
  [SMALL_STATE(117)] = 4800,
  [SMALL_STATE(118)] = 4824,
  [SMALL_STATE(119)] = 4842,
  [SMALL_STATE(120)] = 4860,
  [SMALL_STATE(121)] = 4878,
  [SMALL_STATE(122)] = 4898,
  [SMALL_STATE(123)] = 4918,
  [SMALL_STATE(124)] = 4944,
  [SMALL_STATE(125)] = 4968,
  [SMALL_STATE(126)] = 4994,
  [SMALL_STATE(127)] = 5020,
  [SMALL_STATE(128)] = 5040,
  [SMALL_STATE(129)] = 5060,
  [SMALL_STATE(130)] = 5078,
  [SMALL_STATE(131)] = 5102,
  [SMALL_STATE(132)] = 5119,
  [SMALL_STATE(133)] = 5136,
  [SMALL_STATE(134)] = 5153,
  [SMALL_STATE(135)] = 5172,
  [SMALL_STATE(136)] = 5189,
  [SMALL_STATE(137)] = 5206,
  [SMALL_STATE(138)] = 5223,
  [SMALL_STATE(139)] = 5240,
  [SMALL_STATE(140)] = 5266,
  [SMALL_STATE(141)] = 5292,
  [SMALL_STATE(142)] = 5318,
  [SMALL_STATE(143)] = 5344,
  [SMALL_STATE(144)] = 5370,
  [SMALL_STATE(145)] = 5396,
  [SMALL_STATE(146)] = 5422,
  [SMALL_STATE(147)] = 5440,
  [SMALL_STATE(148)] = 5466,
  [SMALL_STATE(149)] = 5492,
  [SMALL_STATE(150)] = 5518,
  [SMALL_STATE(151)] = 5546,
  [SMALL_STATE(152)] = 5562,
  [SMALL_STATE(153)] = 5590,
  [SMALL_STATE(154)] = 5606,
  [SMALL_STATE(155)] = 5632,
  [SMALL_STATE(156)] = 5658,
  [SMALL_STATE(157)] = 5686,
  [SMALL_STATE(158)] = 5712,
  [SMALL_STATE(159)] = 5740,
  [SMALL_STATE(160)] = 5766,
  [SMALL_STATE(161)] = 5792,
  [SMALL_STATE(162)] = 5820,
  [SMALL_STATE(163)] = 5845,
  [SMALL_STATE(164)] = 5870,
  [SMALL_STATE(165)] = 5895,
  [SMALL_STATE(166)] = 5920,
  [SMALL_STATE(167)] = 5938,
  [SMALL_STATE(168)] = 5960,
  [SMALL_STATE(169)] = 5980,
  [SMALL_STATE(170)] = 6000,
  [SMALL_STATE(171)] = 6020,
  [SMALL_STATE(172)] = 6042,
  [SMALL_STATE(173)] = 6060,
  [SMALL_STATE(174)] = 6082,
  [SMALL_STATE(175)] = 6097,
  [SMALL_STATE(176)] = 6112,
  [SMALL_STATE(177)] = 6127,
  [SMALL_STATE(178)] = 6142,
  [SMALL_STATE(179)] = 6157,
  [SMALL_STATE(180)] = 6172,
  [SMALL_STATE(181)] = 6189,
  [SMALL_STATE(182)] = 6208,
  [SMALL_STATE(183)] = 6225,
  [SMALL_STATE(184)] = 6246,
  [SMALL_STATE(185)] = 6265,
  [SMALL_STATE(186)] = 6282,
  [SMALL_STATE(187)] = 6299,
  [SMALL_STATE(188)] = 6318,
  [SMALL_STATE(189)] = 6335,
  [SMALL_STATE(190)] = 6350,
  [SMALL_STATE(191)] = 6369,
  [SMALL_STATE(192)] = 6384,
  [SMALL_STATE(193)] = 6399,
  [SMALL_STATE(194)] = 6416,
  [SMALL_STATE(195)] = 6429,
  [SMALL_STATE(196)] = 6442,
  [SMALL_STATE(197)] = 6455,
  [SMALL_STATE(198)] = 6470,
  [SMALL_STATE(199)] = 6483,
  [SMALL_STATE(200)] = 6496,
  [SMALL_STATE(201)] = 6509,
  [SMALL_STATE(202)] = 6522,
  [SMALL_STATE(203)] = 6537,
  [SMALL_STATE(204)] = 6550,
  [SMALL_STATE(205)] = 6563,
  [SMALL_STATE(206)] = 6576,
  [SMALL_STATE(207)] = 6589,
  [SMALL_STATE(208)] = 6602,
  [SMALL_STATE(209)] = 6615,
  [SMALL_STATE(210)] = 6628,
  [SMALL_STATE(211)] = 6641,
  [SMALL_STATE(212)] = 6654,
  [SMALL_STATE(213)] = 6667,
  [SMALL_STATE(214)] = 6680,
  [SMALL_STATE(215)] = 6693,
  [SMALL_STATE(216)] = 6706,
  [SMALL_STATE(217)] = 6719,
  [SMALL_STATE(218)] = 6734,
  [SMALL_STATE(219)] = 6749,
  [SMALL_STATE(220)] = 6764,
  [SMALL_STATE(221)] = 6781,
  [SMALL_STATE(222)] = 6796,
  [SMALL_STATE(223)] = 6811,
  [SMALL_STATE(224)] = 6826,
  [SMALL_STATE(225)] = 6839,
  [SMALL_STATE(226)] = 6852,
  [SMALL_STATE(227)] = 6867,
  [SMALL_STATE(228)] = 6882,
  [SMALL_STATE(229)] = 6897,
  [SMALL_STATE(230)] = 6912,
  [SMALL_STATE(231)] = 6927,
  [SMALL_STATE(232)] = 6942,
  [SMALL_STATE(233)] = 6957,
  [SMALL_STATE(234)] = 6972,
  [SMALL_STATE(235)] = 6987,
  [SMALL_STATE(236)] = 7000,
  [SMALL_STATE(237)] = 7014,
  [SMALL_STATE(238)] = 7026,
  [SMALL_STATE(239)] = 7038,
  [SMALL_STATE(240)] = 7050,
  [SMALL_STATE(241)] = 7062,
  [SMALL_STATE(242)] = 7074,
  [SMALL_STATE(243)] = 7086,
  [SMALL_STATE(244)] = 7104,
  [SMALL_STATE(245)] = 7118,
  [SMALL_STATE(246)] = 7130,
  [SMALL_STATE(247)] = 7142,
  [SMALL_STATE(248)] = 7156,
  [SMALL_STATE(249)] = 7174,
  [SMALL_STATE(250)] = 7186,
  [SMALL_STATE(251)] = 7204,
  [SMALL_STATE(252)] = 7216,
  [SMALL_STATE(253)] = 7230,
  [SMALL_STATE(254)] = 7244,
  [SMALL_STATE(255)] = 7262,
  [SMALL_STATE(256)] = 7280,
  [SMALL_STATE(257)] = 7292,
  [SMALL_STATE(258)] = 7310,
  [SMALL_STATE(259)] = 7322,
  [SMALL_STATE(260)] = 7336,
  [SMALL_STATE(261)] = 7348,
  [SMALL_STATE(262)] = 7360,
  [SMALL_STATE(263)] = 7378,
  [SMALL_STATE(264)] = 7390,
  [SMALL_STATE(265)] = 7402,
  [SMALL_STATE(266)] = 7414,
  [SMALL_STATE(267)] = 7426,
  [SMALL_STATE(268)] = 7438,
  [SMALL_STATE(269)] = 7450,
  [SMALL_STATE(270)] = 7462,
  [SMALL_STATE(271)] = 7476,
  [SMALL_STATE(272)] = 7488,
  [SMALL_STATE(273)] = 7502,
  [SMALL_STATE(274)] = 7514,
  [SMALL_STATE(275)] = 7526,
  [SMALL_STATE(276)] = 7538,
  [SMALL_STATE(277)] = 7550,
  [SMALL_STATE(278)] = 7564,
  [SMALL_STATE(279)] = 7578,
  [SMALL_STATE(280)] = 7596,
  [SMALL_STATE(281)] = 7608,
  [SMALL_STATE(282)] = 7620,
  [SMALL_STATE(283)] = 7638,
  [SMALL_STATE(284)] = 7650,
  [SMALL_STATE(285)] = 7664,
  [SMALL_STATE(286)] = 7676,
  [SMALL_STATE(287)] = 7688,
  [SMALL_STATE(288)] = 7702,
  [SMALL_STATE(289)] = 7716,
  [SMALL_STATE(290)] = 7734,
  [SMALL_STATE(291)] = 7752,
  [SMALL_STATE(292)] = 7764,
  [SMALL_STATE(293)] = 7778,
  [SMALL_STATE(294)] = 7796,
  [SMALL_STATE(295)] = 7810,
  [SMALL_STATE(296)] = 7822,
  [SMALL_STATE(297)] = 7834,
  [SMALL_STATE(298)] = 7846,
  [SMALL_STATE(299)] = 7858,
  [SMALL_STATE(300)] = 7870,
  [SMALL_STATE(301)] = 7882,
  [SMALL_STATE(302)] = 7894,
  [SMALL_STATE(303)] = 7912,
  [SMALL_STATE(304)] = 7924,
  [SMALL_STATE(305)] = 7938,
  [SMALL_STATE(306)] = 7952,
  [SMALL_STATE(307)] = 7964,
  [SMALL_STATE(308)] = 7978,
  [SMALL_STATE(309)] = 7990,
  [SMALL_STATE(310)] = 8002,
  [SMALL_STATE(311)] = 8014,
  [SMALL_STATE(312)] = 8026,
  [SMALL_STATE(313)] = 8038,
  [SMALL_STATE(314)] = 8050,
  [SMALL_STATE(315)] = 8065,
  [SMALL_STATE(316)] = 8076,
  [SMALL_STATE(317)] = 8091,
  [SMALL_STATE(318)] = 8102,
  [SMALL_STATE(319)] = 8117,
  [SMALL_STATE(320)] = 8128,
  [SMALL_STATE(321)] = 8143,
  [SMALL_STATE(322)] = 8154,
  [SMALL_STATE(323)] = 8165,
  [SMALL_STATE(324)] = 8176,
  [SMALL_STATE(325)] = 8187,
  [SMALL_STATE(326)] = 8198,
  [SMALL_STATE(327)] = 8209,
  [SMALL_STATE(328)] = 8220,
  [SMALL_STATE(329)] = 8237,
  [SMALL_STATE(330)] = 8248,
  [SMALL_STATE(331)] = 8259,
  [SMALL_STATE(332)] = 8270,
  [SMALL_STATE(333)] = 8285,
  [SMALL_STATE(334)] = 8302,
  [SMALL_STATE(335)] = 8317,
  [SMALL_STATE(336)] = 8328,
  [SMALL_STATE(337)] = 8345,
  [SMALL_STATE(338)] = 8356,
  [SMALL_STATE(339)] = 8371,
  [SMALL_STATE(340)] = 8388,
  [SMALL_STATE(341)] = 8405,
  [SMALL_STATE(342)] = 8416,
  [SMALL_STATE(343)] = 8431,
  [SMALL_STATE(344)] = 8448,
  [SMALL_STATE(345)] = 8465,
  [SMALL_STATE(346)] = 8476,
  [SMALL_STATE(347)] = 8487,
  [SMALL_STATE(348)] = 8502,
  [SMALL_STATE(349)] = 8513,
  [SMALL_STATE(350)] = 8528,
  [SMALL_STATE(351)] = 8547,
  [SMALL_STATE(352)] = 8566,
  [SMALL_STATE(353)] = 8577,
  [SMALL_STATE(354)] = 8592,
  [SMALL_STATE(355)] = 8609,
  [SMALL_STATE(356)] = 8626,
  [SMALL_STATE(357)] = 8637,
  [SMALL_STATE(358)] = 8652,
  [SMALL_STATE(359)] = 8669,
  [SMALL_STATE(360)] = 8686,
  [SMALL_STATE(361)] = 8703,
  [SMALL_STATE(362)] = 8718,
  [SMALL_STATE(363)] = 8729,
  [SMALL_STATE(364)] = 8748,
  [SMALL_STATE(365)] = 8763,
  [SMALL_STATE(366)] = 8782,
  [SMALL_STATE(367)] = 8801,
  [SMALL_STATE(368)] = 8816,
  [SMALL_STATE(369)] = 8833,
  [SMALL_STATE(370)] = 8850,
  [SMALL_STATE(371)] = 8861,
  [SMALL_STATE(372)] = 8876,
  [SMALL_STATE(373)] = 8893,
  [SMALL_STATE(374)] = 8910,
  [SMALL_STATE(375)] = 8925,
  [SMALL_STATE(376)] = 8942,
  [SMALL_STATE(377)] = 8959,
  [SMALL_STATE(378)] = 8970,
  [SMALL_STATE(379)] = 8985,
  [SMALL_STATE(380)] = 9002,
  [SMALL_STATE(381)] = 9019,
  [SMALL_STATE(382)] = 9034,
  [SMALL_STATE(383)] = 9051,
  [SMALL_STATE(384)] = 9062,
  [SMALL_STATE(385)] = 9081,
  [SMALL_STATE(386)] = 9098,
  [SMALL_STATE(387)] = 9115,
  [SMALL_STATE(388)] = 9126,
  [SMALL_STATE(389)] = 9143,
  [SMALL_STATE(390)] = 9160,
  [SMALL_STATE(391)] = 9171,
  [SMALL_STATE(392)] = 9188,
  [SMALL_STATE(393)] = 9199,
  [SMALL_STATE(394)] = 9210,
  [SMALL_STATE(395)] = 9221,
  [SMALL_STATE(396)] = 9232,
  [SMALL_STATE(397)] = 9249,
  [SMALL_STATE(398)] = 9260,
  [SMALL_STATE(399)] = 9271,
  [SMALL_STATE(400)] = 9288,
  [SMALL_STATE(401)] = 9299,
  [SMALL_STATE(402)] = 9314,
  [SMALL_STATE(403)] = 9325,
  [SMALL_STATE(404)] = 9340,
  [SMALL_STATE(405)] = 9356,
  [SMALL_STATE(406)] = 9366,
  [SMALL_STATE(407)] = 9380,
  [SMALL_STATE(408)] = 9394,
  [SMALL_STATE(409)] = 9410,
  [SMALL_STATE(410)] = 9424,
  [SMALL_STATE(411)] = 9438,
  [SMALL_STATE(412)] = 9452,
  [SMALL_STATE(413)] = 9464,
  [SMALL_STATE(414)] = 9478,
  [SMALL_STATE(415)] = 9492,
  [SMALL_STATE(416)] = 9506,
  [SMALL_STATE(417)] = 9520,
  [SMALL_STATE(418)] = 9534,
  [SMALL_STATE(419)] = 9550,
  [SMALL_STATE(420)] = 9564,
  [SMALL_STATE(421)] = 9578,
  [SMALL_STATE(422)] = 9592,
  [SMALL_STATE(423)] = 9606,
  [SMALL_STATE(424)] = 9620,
  [SMALL_STATE(425)] = 9634,
  [SMALL_STATE(426)] = 9648,
  [SMALL_STATE(427)] = 9658,
  [SMALL_STATE(428)] = 9670,
  [SMALL_STATE(429)] = 9680,
  [SMALL_STATE(430)] = 9692,
  [SMALL_STATE(431)] = 9704,
  [SMALL_STATE(432)] = 9714,
  [SMALL_STATE(433)] = 9728,
  [SMALL_STATE(434)] = 9740,
  [SMALL_STATE(435)] = 9751,
  [SMALL_STATE(436)] = 9764,
  [SMALL_STATE(437)] = 9777,
  [SMALL_STATE(438)] = 9790,
  [SMALL_STATE(439)] = 9803,
  [SMALL_STATE(440)] = 9816,
  [SMALL_STATE(441)] = 9825,
  [SMALL_STATE(442)] = 9838,
  [SMALL_STATE(443)] = 9847,
  [SMALL_STATE(444)] = 9856,
  [SMALL_STATE(445)] = 9869,
  [SMALL_STATE(446)] = 9882,
  [SMALL_STATE(447)] = 9895,
  [SMALL_STATE(448)] = 9904,
  [SMALL_STATE(449)] = 9917,
  [SMALL_STATE(450)] = 9930,
  [SMALL_STATE(451)] = 9941,
  [SMALL_STATE(452)] = 9954,
  [SMALL_STATE(453)] = 9963,
  [SMALL_STATE(454)] = 9976,
  [SMALL_STATE(455)] = 9985,
  [SMALL_STATE(456)] = 9998,
  [SMALL_STATE(457)] = 10011,
  [SMALL_STATE(458)] = 10024,
  [SMALL_STATE(459)] = 10037,
  [SMALL_STATE(460)] = 10050,
  [SMALL_STATE(461)] = 10061,
  [SMALL_STATE(462)] = 10072,
  [SMALL_STATE(463)] = 10083,
  [SMALL_STATE(464)] = 10096,
  [SMALL_STATE(465)] = 10107,
  [SMALL_STATE(466)] = 10120,
  [SMALL_STATE(467)] = 10130,
  [SMALL_STATE(468)] = 10140,
  [SMALL_STATE(469)] = 10150,
  [SMALL_STATE(470)] = 10158,
  [SMALL_STATE(471)] = 10168,
  [SMALL_STATE(472)] = 10178,
  [SMALL_STATE(473)] = 10188,
  [SMALL_STATE(474)] = 10196,
  [SMALL_STATE(475)] = 10206,
  [SMALL_STATE(476)] = 10216,
  [SMALL_STATE(477)] = 10226,
  [SMALL_STATE(478)] = 10236,
  [SMALL_STATE(479)] = 10244,
  [SMALL_STATE(480)] = 10254,
  [SMALL_STATE(481)] = 10264,
  [SMALL_STATE(482)] = 10274,
  [SMALL_STATE(483)] = 10282,
  [SMALL_STATE(484)] = 10292,
  [SMALL_STATE(485)] = 10302,
  [SMALL_STATE(486)] = 10310,
  [SMALL_STATE(487)] = 10320,
  [SMALL_STATE(488)] = 10330,
  [SMALL_STATE(489)] = 10338,
  [SMALL_STATE(490)] = 10348,
  [SMALL_STATE(491)] = 10356,
  [SMALL_STATE(492)] = 10366,
  [SMALL_STATE(493)] = 10376,
  [SMALL_STATE(494)] = 10384,
  [SMALL_STATE(495)] = 10394,
  [SMALL_STATE(496)] = 10402,
  [SMALL_STATE(497)] = 10412,
  [SMALL_STATE(498)] = 10420,
  [SMALL_STATE(499)] = 10428,
  [SMALL_STATE(500)] = 10438,
  [SMALL_STATE(501)] = 10446,
  [SMALL_STATE(502)] = 10454,
  [SMALL_STATE(503)] = 10464,
  [SMALL_STATE(504)] = 10474,
  [SMALL_STATE(505)] = 10484,
  [SMALL_STATE(506)] = 10494,
  [SMALL_STATE(507)] = 10504,
  [SMALL_STATE(508)] = 10514,
  [SMALL_STATE(509)] = 10524,
  [SMALL_STATE(510)] = 10532,
  [SMALL_STATE(511)] = 10542,
  [SMALL_STATE(512)] = 10552,
  [SMALL_STATE(513)] = 10562,
  [SMALL_STATE(514)] = 10572,
  [SMALL_STATE(515)] = 10582,
  [SMALL_STATE(516)] = 10590,
  [SMALL_STATE(517)] = 10598,
  [SMALL_STATE(518)] = 10608,
  [SMALL_STATE(519)] = 10616,
  [SMALL_STATE(520)] = 10624,
  [SMALL_STATE(521)] = 10632,
  [SMALL_STATE(522)] = 10639,
  [SMALL_STATE(523)] = 10646,
  [SMALL_STATE(524)] = 10653,
  [SMALL_STATE(525)] = 10660,
  [SMALL_STATE(526)] = 10667,
  [SMALL_STATE(527)] = 10674,
  [SMALL_STATE(528)] = 10681,
  [SMALL_STATE(529)] = 10688,
  [SMALL_STATE(530)] = 10695,
  [SMALL_STATE(531)] = 10702,
  [SMALL_STATE(532)] = 10709,
  [SMALL_STATE(533)] = 10716,
  [SMALL_STATE(534)] = 10723,
  [SMALL_STATE(535)] = 10730,
  [SMALL_STATE(536)] = 10737,
  [SMALL_STATE(537)] = 10744,
  [SMALL_STATE(538)] = 10751,
  [SMALL_STATE(539)] = 10758,
  [SMALL_STATE(540)] = 10765,
  [SMALL_STATE(541)] = 10772,
  [SMALL_STATE(542)] = 10779,
  [SMALL_STATE(543)] = 10786,
  [SMALL_STATE(544)] = 10793,
  [SMALL_STATE(545)] = 10800,
  [SMALL_STATE(546)] = 10807,
  [SMALL_STATE(547)] = 10814,
  [SMALL_STATE(548)] = 10821,
  [SMALL_STATE(549)] = 10828,
  [SMALL_STATE(550)] = 10835,
  [SMALL_STATE(551)] = 10842,
  [SMALL_STATE(552)] = 10849,
  [SMALL_STATE(553)] = 10856,
  [SMALL_STATE(554)] = 10863,
  [SMALL_STATE(555)] = 10870,
  [SMALL_STATE(556)] = 10877,
  [SMALL_STATE(557)] = 10884,
  [SMALL_STATE(558)] = 10891,
  [SMALL_STATE(559)] = 10898,
  [SMALL_STATE(560)] = 10905,
  [SMALL_STATE(561)] = 10912,
  [SMALL_STATE(562)] = 10919,
  [SMALL_STATE(563)] = 10926,
  [SMALL_STATE(564)] = 10933,
  [SMALL_STATE(565)] = 10940,
  [SMALL_STATE(566)] = 10947,
  [SMALL_STATE(567)] = 10954,
  [SMALL_STATE(568)] = 10961,
  [SMALL_STATE(569)] = 10968,
  [SMALL_STATE(570)] = 10975,
  [SMALL_STATE(571)] = 10982,
  [SMALL_STATE(572)] = 10989,
  [SMALL_STATE(573)] = 10996,
  [SMALL_STATE(574)] = 11003,
  [SMALL_STATE(575)] = 11010,
  [SMALL_STATE(576)] = 11017,
  [SMALL_STATE(577)] = 11024,
  [SMALL_STATE(578)] = 11031,
  [SMALL_STATE(579)] = 11038,
  [SMALL_STATE(580)] = 11045,
  [SMALL_STATE(581)] = 11052,
  [SMALL_STATE(582)] = 11059,
  [SMALL_STATE(583)] = 11066,
  [SMALL_STATE(584)] = 11073,
  [SMALL_STATE(585)] = 11080,
  [SMALL_STATE(586)] = 11087,
  [SMALL_STATE(587)] = 11094,
  [SMALL_STATE(588)] = 11101,
  [SMALL_STATE(589)] = 11108,
  [SMALL_STATE(590)] = 11115,
  [SMALL_STATE(591)] = 11122,
  [SMALL_STATE(592)] = 11129,
  [SMALL_STATE(593)] = 11136,
  [SMALL_STATE(594)] = 11143,
  [SMALL_STATE(595)] = 11150,
  [SMALL_STATE(596)] = 11157,
  [SMALL_STATE(597)] = 11164,
  [SMALL_STATE(598)] = 11171,
  [SMALL_STATE(599)] = 11178,
  [SMALL_STATE(600)] = 11185,
  [SMALL_STATE(601)] = 11192,
  [SMALL_STATE(602)] = 11199,
  [SMALL_STATE(603)] = 11206,
  [SMALL_STATE(604)] = 11213,
  [SMALL_STATE(605)] = 11220,
  [SMALL_STATE(606)] = 11227,
  [SMALL_STATE(607)] = 11234,
  [SMALL_STATE(608)] = 11241,
  [SMALL_STATE(609)] = 11248,
  [SMALL_STATE(610)] = 11255,
  [SMALL_STATE(611)] = 11262,
  [SMALL_STATE(612)] = 11269,
  [SMALL_STATE(613)] = 11276,
  [SMALL_STATE(614)] = 11283,
  [SMALL_STATE(615)] = 11290,
  [SMALL_STATE(616)] = 11297,
  [SMALL_STATE(617)] = 11301,
  [SMALL_STATE(618)] = 11305,
  [SMALL_STATE(619)] = 11309,
  [SMALL_STATE(620)] = 11313,
  [SMALL_STATE(621)] = 11317,
  [SMALL_STATE(622)] = 11321,
  [SMALL_STATE(623)] = 11325,
  [SMALL_STATE(624)] = 11329,
  [SMALL_STATE(625)] = 11333,
  [SMALL_STATE(626)] = 11337,
  [SMALL_STATE(627)] = 11341,
  [SMALL_STATE(628)] = 11345,
  [SMALL_STATE(629)] = 11349,
  [SMALL_STATE(630)] = 11353,
  [SMALL_STATE(631)] = 11357,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [35] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [39] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [41] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(257),
  [44] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [50] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [56] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [59] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [62] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [65] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [68] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [71] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [74] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(369),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(257),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(375),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(369),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__ident_base, 2, 0, 0),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(49),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(397),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(52),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(390),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 3, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 3, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(57),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(387),
  [358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_literal, 1, 0, 0),
  [360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_literal, 1, 0, 0),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_literal, 2, 0, 0),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape, 2, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape, 2, 0, 0),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__single_top_level_identifier, 1, 0, 0), REDUCE(aux_sym__ident_base, 1, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__ident_base, 1, 0, 0),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__single_top_level_identifier, 1, 0, 0), REDUCE(aux_sym__ident_base, 1, 0, 0),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(66),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(614),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(522),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(395),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__label_token, 2, 0, 0),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(68),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(597),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(598),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(383),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_literal, 2, 0, 0),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(74),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(612),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(613),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(394),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted, 2, 0, 0),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted, 2, 0, 0),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1, 0, 0),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 2, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expr_repeat1, 2, 0, 0),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expr_repeat1, 2, 0, 0),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expr_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection, 1, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier_chain, 2, 0, 0),
  [464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 2, 0, 0),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_top_level_identifier, 1, 0, 0),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_top_level_identifier, 1, 0, 0),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__double_quoted, 3, 0, 0),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0), SHIFT_REPEAT(44),
  [477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted, 2, 0, 0),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quoted, 3, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_chain, 2, 0, 0),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted, 2, 0, 0),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quoted, 3, 0, 0),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__double_quoted, 3, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_identifier, 3, 0, 0),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0), SHIFT_REPEAT(42),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_reference, 4, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_connection_reference, 4, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 4, 0, 0),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spread_variable, 4, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_connection_identifier, 3, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(124),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(341),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 4, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_variable, 4, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat2, 2, 0, 0),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat2, 2, 0, 0), SHIFT_REPEAT(284),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat2, 2, 0, 0), SHIFT_REPEAT(606),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat2, 2, 0, 0), SHIFT_REPEAT(607),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__label_double_quoted_repeat1, 2, 0, 0),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(608),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_constraint, 1, 0, 0),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(159),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(610),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(611),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_token, 2, 0, 0), SHIFT_REPEAT(393),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__colon_block, 2, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__colon_block, 2, 0, 0),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(170),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__ident_base, 2, 0, 0), SHIFT_REPEAT(377),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_single, 5, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_single, 5, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_double, 5, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_double, 5, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_triple, 5, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_triple, 5, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_ticks, 5, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_ticks, 5, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_fallback, 5, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_fallback, 5, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 1, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 1, 0, 0),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 1, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 1, 0, 0),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_codeblock, 1, 0, 0),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_codeblock, 1, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_double_quoted, 2, 0, 0),
  [714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_single, 3, 0, 0),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_double, 3, 0, 0),
  [718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_triple, 3, 0, 0),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_constraints, 4, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_constraints, 4, 0, 0),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_fallback, 3, 0, 0),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_constraints, 3, 0, 0),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_double_quoted, 3, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_single, 4, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_double, 4, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_triple, 4, 0, 0),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_ticks, 4, 0, 0),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_fallback, 4, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_double_quoted, 2, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 0),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_single, 3, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_double, 3, 0, 0),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_triple, 3, 0, 0),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_ticks, 3, 0, 0),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_codeblock_ticks, 3, 0, 0),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_fallback, 3, 0, 0),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_constraints, 3, 0, 0),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_double_quoted, 3, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_single, 4, 0, 0),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_double, 4, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_triple, 4, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_ticks, 4, 0, 0),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_codeblock_fallback, 4, 0, 0),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 0),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 2, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 2, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__colon_block, 3, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 2, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 3, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat2, 1, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__colon_block, 3, 0, 0),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_mark, 1, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quoted_repeat1, 2, 0, 0),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__double_quoted_repeat1, 2, 0, 0),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__double_quoted_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__label_literal_repeat1, 2, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 2, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 2, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_codeblock_content_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_codeblock_content_repeat1, 2, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_identifier_repeat1, 2, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arguments_repeat2, 2, 0, 0),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat2, 2, 0, 0), SHIFT_REPEAT(502),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_codeblock_content, 1, 0, 0),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_identifier_chain_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_codeblock_content_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_codeblock_content_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__label_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__label_constraints_repeat1, 2, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(530),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arguments_repeat2, 3, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_name, 1, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_arguments_repeat2, 4, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_returns, 1, 0, 1),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1323] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_label_constraint_repeat1, 2, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_codeblock_language, 1, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_d2(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
